// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivwizard_pages/Substep1", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivSubstep"], function(dijit,dojo,dojox){
dojo.provide("ibm.tivoli.tip.dijit.tests.tivwizard_pages.Substep1");

dojo.require("ibm.tivoli.tip.dijit.TivSubstep");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivwizard_pages.Substep1", [ibm.tivoli.tip.dijit.TivSubstep], 
{
  templateString:"<div class=\"substep1\">\r\n  <div class=\"tiv-page-header\">\r\n    <h2>Substep 1</h2>\r\n    <p>First substep</p>\r\n  </div>\r\n  <div class=\"tiv-page-content\">\r\n    <h4>The first substep</h4>\r\n    <input type=\"button\" dojoAttachPoint=\"skipButton\" value=\"Skip to next main step\"></input>\r\n  </div>\r\n</div>\r\n",
  title: "Substep 1",

  postCreate: function()
  {
    console.log("Substep1.postCreate");
    dojo.connect(this.skipButton, "onclick", this, this.handleSkip);
  },
  
  handleSkip: function()
  {    
    // mark all pages in between as visited
    dijit.getEnclosingWidget(dojo.query(".substep2", this.wizard.domNode)[0]).attr("visited", true);
    dijit.getEnclosingWidget(dojo.query(".substep3", this.wizard.domNode)[0]).attr("visited", true);
    dijit.getEnclosingWidget(dojo.query(".page3", this.wizard.domNode)[0]).attr("visited", true);

    // skip to next main step (this will update UI)
    this.wizard.skipToNextMainStep();
  },
  
  AfterPageSelected: function()
  {
    this.wizard.enableFinishButton(true); 
    this.wizard.resetFinishLabel("Finish");
  }
});

});
