/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/cs/resources", {      
   "SEARCH_TEXT":"Vyhledat",
   "SAVE_TEXT":"Uložit úpravy",
   "PRINT_TEXT":"Tisk",
   "SELECT_TEXT":"Vybrat",
   "PAN_TEXT":"Posunout",
   "ZOOM_SELECT_TEXT":"Přiblížit výběr",
   "ZOOM_IN_TEXT":"Přiblížit",
   "ZOOM_OUT_TEXT":"Oddálit",
   "FIT_CONTENTS_TEXT":"Zobrazit celý obsah",
   "REFRESH_TEXT":"Obnovit",
   "TOGGLE_LAYOUT_TEXT":"Přepnout rozvržení",
   "TREE_LAYOUT":"Strom",
   "HIERARCHICAL_LAYOUT":"Hierarchický",
   "FORCE_DIRECTED_LAYOUT":"Vynutit řízený",
   "GRID_LAYOUT":"Mřížka",
   "SHORT_LINK_LAYOUT":"Krátký odkaz",
   "LONG_LINK_LAYOUT":"Dlouhý odkaz",
   "CUSTOM":"Vlastní",
   "SAVE":"Uložit úpravy",
   "CANCEL":"Storno",
   "RESTORE_DEFAULTS":"Obnovit výchozí",
   "LAYOUT_MODE":"Režim rozvržení:",
   "FLOW_DIRECTION":"Směr toku:",
   "LINK_STYLE":"Globální styl odkazů:",
   "CONNECTOR_STYLE":"Styl konektorů:",
   "GLOBAL_ALIGNMENT":"Globální zarovnání:",
   "LEVEL_ALIGNMENT":"Zarovnání úrovně:",	
   "LEVEL_JUSTIFICATION":"Odsazení úrovně:",
   "LEVELING_STRATEGY":"Strategie úrovní:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Globální vodorovné zarovnání:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Globální svislé zarovnání:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Maximální počet uzlů na řádek nebo sloupec:",
   "PREFERRED_LINKS_LENGTH":"Upřednostňovaná délka odkazů:",
   "LINK_STYLE":"Styl odkazů:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Maximální počet přesunů na iteraci:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Povolený počet iterací:",
   "CONVERGENCE_THRESHOLD":"Práh konvergence:",
   "GLOBAL_LINK_STYLE":"Globální styl odkazů:",
   "GLOBAL_SELF_LINK_STYLE":"Globální styl odkazů na sebe:",
   "GLOBAL_CONNECTOR_STYLE":"Globální styl konektorů:",
   "LINK_OFFSET":"Odsazení odkazů:",
   "MIN_FINAL_SEGMENT_LENGTH":"Minimální délka koncového segmentu:",
   "VERTICAL_MIN_OFFSET":"Minimální svislé odsazení:",
   "HORIZONTAL_MIN_OFFSET":"Minimální vodorovné odsazení:",
   "ASPECT_RATIO":"Poměr stran:",
   "ALGORITHM":"Algoritmus",
   "GENERAL":"Obecné",
   "PROPERTIES":"Vlastnosti",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Topologické zobrazení",
   "RESOURCE_VIEW":"Zobrazení prostředků",
   "RELATIONSHIP_VIEW":"Zobrazení vztahů",
   "LINK_VIEW":"Zobrazení odkazů",
   "GET_ADOBE_FLASH_PLAYER":"Stáhnout přehrávač Adobe Flash Player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Jestliže chcete zobrazit tento obsah, musí váš systém splňovat <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>systémové požadavky</a> a musí v něm být nainstalován přehrávač Adobe&reg; Flash&reg; Player verze ${version} nebo novější.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Žádná",
   "ITEM_REMOVED_MESSAGE":"Tato položka byla z datové sady odstraněna.",
   "LINK_REMOVED_MESSAGE":"Tento odkaz byl z datové sady odstraněn.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Tento vztah byl z datové sady odstraněn.",
   "ACTIONS":"Akce",
   "PRINT_AS_BITMAP":"Tisknout jako bitovou mapu:",	   
   "PAGE_COUNT":"Počet stránek na šířku nebo výšku:",	 
   "PAGE_COUNT_MAX":"Maximální počet vytisknutých stran:",	  
   "PAGE_MARGIN":"Okraj stránky:",
   "TYPE":"Typ",
   "SOURCEITEM":"Od",
   "TARGETITEM":"Do",
   "ITEM1":"Položka 1",
   "ITEM2":"Položka 2",
   "DATASET1":"Datová sada 1",
   "DATASET2":"Datová sada 2",
   "LOADING":"Načítání",
   "RESULTS_CLICK_TO_SELECT":"Výsledky - klepnutím vyberte",
   "RESULTS":"Výsledky",
   "NO_RESULTS_FOUND":"Nebyly nalezeny žádné výsledky",
   "CENTER_IN_VIEW":"Vystředit zobrazení",
   "HIGHLIGHT":"Zvýraznit",
   "CLEAR_SEARCH":"Smazat vyhledávání",
   "DEPTH":"Hloubka",
   "LAYOUT":"Rozvržení",
   "ACTIONS":"Akce",
   "SAVE_CANVAS_CONTEXT":"Uložit úpravy",
   "SAVE_CUSTOMIZATION_QUESTION":"Opravdu chcete uložit všechny úpravy?",
   "TOGGLE_VIEW":"Přepnout zobrazení",
   "ALTERNATING_RADIAL":"střídavé radiální",
   "AUTOMATIC":"automatické",
   "BORDER_CENTER":"střed ohraničení",
   "BOTTOM":"dolní",
   "CENTER":"střední",
   "CENTERED":"vystředěné",
   "DIRECT":"přímé",
   "EAST":"východ",
   "EVENLY_SPACED":"rovnoměrné mezery",
   "FAST_MULTILEVEL":"rychlé víceúrovňové",
   "FIXED_OFFSET":"pevné odsazení",
   "FREE":"volné",
   "HIGHER_LEVELS":"vyšší úrovně",
   "INCREMENTAL":"přírůstkové",
   "LEFT":"levé",
   "LEVEL":"úroveň",
   "LOWER_LEVELS":"nižší úrovně",
   "MIXED":"smíšené",
   "NO_RESHAPE":"bez změny tvaru",
   "NON_INCREMENTAL":"bez přírůstků",
   "NORTH":"sever",
   "OPTIMAL":"optimální",
   "ORTHOGONAL":"ortogonální",
   "POLYLINE":"lomená čára",
   "RADIAL":"radiální",
   "RIGHT":"pravé",
   "SEMI_OPTIMAL":"polooptimální",
   "SOUTH":"jih",
   "SPREAD_OUT":"rozptýlené",
   "STRAIGHT":"přímé",
   "THREE_BENDS_ORTHOGONAL":"ortogonální, tři ohyby",
   "TILE_TO_COLUMNS":"uspořádat do sloupců",
   "TILE_TO_GRID_FIXED_HEIGHT":"uspořádat do mřížky s pevnou výškou",
   "TILE_TO_GRID_FIXED_WIDTH":"uspořádat do mřížky s pevnou šířkou",
   "TILE_TO_ROWS":"uspořádat do řádků",
   "TIP_LEAVES_OVER":"převrátit listy",
   "TIP_OVER_BOTH_SIDES":"převrátit obě strany",
   "TIP_OVER_EAST_WEST":"převrátit východ/západ",
   "TIP_OVER_WEST":"převrátit západ",
   "TIP_OVER":"převrátit",
   "TIP_ROOTS_AND_LEAVES_OVER":"převrátit kořeny/listy",
   "TIP_ROOTS_OVER":"převrátit kořeny",
   "TOP":"nahoře",
   "TWO_BENDS_ORTHOGONAL":"ortogonální, dva ohyby",
   "WEST":"západ",
   "EXPORT":"Exportovat",
   "EXPORT_IMAGE_DIALOG_TITLE":"Exportovat jako obrázek",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Chcete diagram exportovat jako obrázek? Vyberte požadovaný formát níže.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Rozšířené vyhledávání",
   "RESOURCES_COUNT": "Prostředky: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Vztahy: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Filtrováno: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Vybráno: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Vše",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Upravit rozvržení: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Chyba",
   "PENDING":"Nevyřízené",
   "CLOSE":"Zavřít"
});

