/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/de/resources", {      
   "SEARCH_TEXT":"Suchen",
   "SAVE_TEXT":"Anpassungen speichern",
   "PRINT_TEXT":"Drucken",
   "SELECT_TEXT":"Auswählen",
   "PAN_TEXT":"Schwenken",
   "ZOOM_SELECT_TEXT":"Vergrößern/verkleinern - Auswahl",
   "ZOOM_IN_TEXT":"Vergrößern",
   "ZOOM_OUT_TEXT":"Verkleinern",
   "FIT_CONTENTS_TEXT":"Inhalt einpassen",
   "REFRESH_TEXT":"Aktualisieren",
   "TOGGLE_LAYOUT_TEXT":"Layout wechseln",
   "TREE_LAYOUT":"Baumstruktur",
   "HIERARCHICAL_LAYOUT":"Hierarchisch",
   "FORCE_DIRECTED_LAYOUT":"Erzwungenes Steuern",
   "GRID_LAYOUT":"Raster",
   "SHORT_LINK_LAYOUT":"Kurzer Link",
   "LONG_LINK_LAYOUT":"Langer Link",
   "CUSTOM":"Angepasst",
   "SAVE":"Anpassungen speichern",
   "CANCEL":"Abbrechen",
   "RESTORE_DEFAULTS":"Standardwerte wiederherstellen",
   "LAYOUT_MODE":"Layoutmodus:",
   "FLOW_DIRECTION":"Ablaufrichtung:",
   "LINK_STYLE":"Linkdarstellung - global:",
   "CONNECTOR_STYLE":"Connectordarstellung:",
   "GLOBAL_ALIGNMENT":"Globale Anordnung:",
   "LEVEL_ALIGNMENT":"Ebenenanordnung:",	
   "LEVEL_JUSTIFICATION":"Ebenenausrichtung:",
   "LEVELING_STRATEGY":"Ebenenberechnungsstrategie:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Globale horizontale Anordnung:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Globale vertikale Anordnung:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Maximale Anzahl an Knoten pro Zeile oder Spalte:",
   "PREFERRED_LINKS_LENGTH":"Länge für bevorzugte Links:",
   "LINK_STYLE":"Linkdarstellung:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Maximale Anzahl zulässiger Verschiebungen pro Iteration:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Zulässige Anzahl an Iterationen:",
   "CONVERGENCE_THRESHOLD":"Konvergenzschwellenwert:",
   "GLOBAL_LINK_STYLE":"Linkdarstellung - global:",
   "GLOBAL_SELF_LINK_STYLE":"Darstellung des rückverweisenden Links - global:",
   "GLOBAL_CONNECTOR_STYLE":"Connectordarstellung - global:",
   "LINK_OFFSET":"Linkabstand:",
   "MIN_FINAL_SEGMENT_LENGTH":"Minimale Länge des Abschlusssegments:",
   "VERTICAL_MIN_OFFSET":"Vertikaler Mindestabstand:",
   "HORIZONTAL_MIN_OFFSET":"Horizontaler Mindestabstand:",
   "ASPECT_RATIO":"Seitenverhältnis:",
   "ALGORITHM":"Algorithmus:",
   "GENERAL":"Allgemein",
   "PROPERTIES":"Eigenschaften",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Topologieansicht",
   "RESOURCE_VIEW":"Ressourcenansicht",
   "RELATIONSHIP_VIEW":"Beziehungsansicht",
   "LINK_VIEW":"Linkansicht",
   "GET_ADOBE_FLASH_PLAYER":"Adobe Flash Player abrufen",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Um diesen Inhalt anzeigen zu können, müssen Sie sicherstellen, dass Ihr System die <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>Systemanforderungen</a> erfüllt und dass Adobe&reg; Flash&reg; Player Version ${version} oder höher installiert ist.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Keine",
   "ITEM_REMOVED_MESSAGE":"Dieses Element wurde aus dem Datensatz entfernt.",
   "LINK_REMOVED_MESSAGE":"Dieser Link wurde aus dem Datensatz entfernt.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Diese Beziehung wurde aus dem Datensatz entfernt.",
   "ACTIONS":"Aktionen",
   "PRINT_AS_BITMAP":"Als Bitmap drucken:",	   
   "PAGE_COUNT":"Anzahl an Seiten in Breite oder Höhe:",	 
   "PAGE_COUNT_MAX":"Maximale Anzahl an gedruckten Seiten:",	  
   "PAGE_MARGIN":"Seitenrand:",
   "TYPE":"Typ",
   "SOURCEITEM":"Von",
   "TARGETITEM":"Bis",
   "ITEM1":"Element 1",
   "ITEM2":"Element 2",
   "DATASET1":"Datensatz 1",
   "DATASET2":"Datensatz 2",
   "LOADING":"Laden läuft",
   "RESULTS_CLICK_TO_SELECT":"Ergebnisse - Bitte zum Auswählen klicken",
   "RESULTS":"Ergebnisse",
   "NO_RESULTS_FOUND":"Keine Ergebnisse gefunden",
   "CENTER_IN_VIEW":"Ansicht hervorheben",
   "HIGHLIGHT":"Hervorhebung",
   "CLEAR_SEARCH":"Suche aufheben",
   "DEPTH":"Tiefe",
   "LAYOUT":"Layout",
   "ACTIONS":"Aktionen",
   "SAVE_CANVAS_CONTEXT":"Anpassungen speichern",
   "SAVE_CUSTOMIZATION_QUESTION":"Möchten Sie tatsächlich alle Anpassungen speichern?",
   "TOGGLE_VIEW":"Ansicht wechseln",
   "ALTERNATING_RADIAL":"Sternförmiges Alternieren läuft",
   "AUTOMATIC":"Automatisch",
   "BORDER_CENTER":"Mitte umranden",
   "BOTTOM":"Unten",
   "CENTER":"Mitte",
   "CENTERED":"Zentriert",
   "DIRECT":"Direkt",
   "EAST":"Östlich",
   "EVENLY_SPACED":"Ausgeglichen mit Leerschritten",
   "FAST_MULTILEVEL":"Mehrere Ebenen - schnell",
   "FIXED_OFFSET":"Festgelegter Abstand",
   "FREE":"Frei",
   "HIGHER_LEVELS":"Höhere Ebenen",
   "INCREMENTAL":"Inkrementell",
   "LEFT":"Links",
   "LEVEL":"Ebene",
   "LOWER_LEVELS":"Untere Ebenen",
   "MIXED":"Gemischt",
   "NO_RESHAPE":"Keine Neugestaltung",
   "NON_INCREMENTAL":"Nicht inkrementell",
   "NORTH":"Nördlich",
   "OPTIMAL":"Optimal",
   "ORTHOGONAL":"Orthogonal",
   "POLYLINE":"Mehrfachlinie",
   "RADIAL":"Sternförmig",
   "RIGHT":"Rechts",
   "SEMI_OPTIMAL":"Halboptimal",
   "SOUTH":"Südlich",
   "SPREAD_OUT":"Ausgebreitet",
   "STRAIGHT":"Gerade",
   "THREE_BENDS_ORTHOGONAL":"Drei Krümmungen orthogonal",
   "TILE_TO_COLUMNS":"In Spalten unterteilen",
   "TILE_TO_GRID_FIXED_HEIGHT":"In durch Raster festgelegte Höhe unterteilen",
   "TILE_TO_GRID_FIXED_WIDTH":"In durch Raster festgelegte Breite unterteilen",
   "TILE_TO_ROWS":"In Zeilen unterteilen",
   "TIP_LEAVES_OVER":"Blattelemente kippen",
   "TIP_OVER_BOTH_SIDES":"Beide Seiten kippen",
   "TIP_OVER_EAST_WEST":"Nach Ost-West kippen",
   "TIP_OVER_WEST":"Nach West kippen",
   "TIP_OVER":"Kippen",
   "TIP_ROOTS_AND_LEAVES_OVER":"Stammelemente und Blattelemente kippen",
   "TIP_ROOTS_OVER":"Stammelemente kippen",
   "TOP":"Anfang",
   "TWO_BENDS_ORTHOGONAL":"Zwei Krümmungen orthogonal",
   "WEST":"Westlich",
   "EXPORT":"Exportieren",
   "EXPORT_IMAGE_DIALOG_TITLE":"Als Grafik exportieren",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Möchten Sie das Diagramm als Grafik exportieren? Wählen Sie unten das gewünschte Format aus.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Erweiterte Suche",
   "RESOURCES_COUNT": "Ressourcen: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Beziehungen: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Gefiltert: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Ausgewählt: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Alle",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Layout anpassen: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Fehler",
   "PENDING":"Anstehend",
   "CLOSE":"Schließen"
});

