/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/ru/resources", {      
   "SEARCH_TEXT":"Поиск",
   "SAVE_TEXT":"Сохранить настройки",
   "PRINT_TEXT":"Печать",
   "SELECT_TEXT":"Выбрать",
   "PAN_TEXT":"Перемещение",
   "ZOOM_SELECT_TEXT":"Выбор масштаба",
   "ZOOM_IN_TEXT":"Увеличить",
   "ZOOM_OUT_TEXT":"Уменьшить",
   "FIT_CONTENTS_TEXT":"Уместить содержимое",
   "REFRESH_TEXT":"Обновить",
   "TOGGLE_LAYOUT_TEXT":"Переключить схему",
   "TREE_LAYOUT":"Дерево",
   "HIERARCHICAL_LAYOUT":"Иерархический",
   "FORCE_DIRECTED_LAYOUT":"Принудительно направленный",
   "GRID_LAYOUT":"Таблица",
   "SHORT_LINK_LAYOUT":"Краткая ссылка",
   "LONG_LINK_LAYOUT":"Полная ссылка",
   "CUSTOM":"Пользовательский",
   "SAVE":"Сохранить настройки",
   "CANCEL":"Отмена",
   "RESTORE_DEFAULTS":"Восстановить значения по умолчанию",
   "LAYOUT_MODE":"Режим схемы:",
   "FLOW_DIRECTION":"Направление потока:",
   "LINK_STYLE":"Глобальный стиль ссылки:",
   "CONNECTOR_STYLE":"Стиль соединителя:",
   "GLOBAL_ALIGNMENT":"Глобальное выравнивание:",
   "LEVEL_ALIGNMENT":"Выравнивание уровня:",	
   "LEVEL_JUSTIFICATION":"Юстировка уровней:",
   "LEVELING_STRATEGY":"Стратегия выравнивания:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Глобальное выравнивание по горизонтали:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Глобальное выравнивание по вертикали:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Максимальное число узлов в строке или столбце:",
   "PREFERRED_LINKS_LENGTH":"Предпочтительная длина ссылок:",
   "LINK_STYLE":"Стиль ссылки:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Максимально допустимое число перемещений на итерацию:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Допустимое число итераций:",
   "CONVERGENCE_THRESHOLD":"Порог конвергенции:",
   "GLOBAL_LINK_STYLE":"Глобальный стиль ссылки:",
   "GLOBAL_SELF_LINK_STYLE":"Глобальный стиль собственной ссылки:",
   "GLOBAL_CONNECTOR_STYLE":"Глобальный стиль соединителя:",
   "LINK_OFFSET":"Смещение ссылки:",
   "MIN_FINAL_SEGMENT_LENGTH":"Минимальная конечная длина сегмента:",
   "VERTICAL_MIN_OFFSET":"Минимальное смещение по вертикали:",
   "HORIZONTAL_MIN_OFFSET":"Минимальное смещение по горизонтали:",
   "ASPECT_RATIO":"Соотношение сторон:",
   "ALGORITHM":"Алгоритм:",
   "GENERAL":"Общие",
   "PROPERTIES":"Свойства",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Представление топологии",
   "RESOURCE_VIEW":"Представление ресурсов",
   "RELATIONSHIP_VIEW":"Представление взаимосвязей",
   "LINK_VIEW":"Представление ссылок",
   "GET_ADOBE_FLASH_PLAYER":"Получить Adobe Flash Player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Чтобы просмотреть это содержимое, убедитесь, что система отвечает <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>требованиям к системе</a> и что у вас установлен компонент Adobe&reg; Flash&reg; Player версии ${version} или новее.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Нет.",
   "ITEM_REMOVED_MESSAGE":"Этот элемент удален из набора данных.",
   "LINK_REMOVED_MESSAGE":"Эта ссылка удалена из набора данных.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Эта взаимосвязь удалена из набора данных.",
   "ACTIONS":"Действия",
   "PRINT_AS_BITMAP":"Напечатать как битовое изображение:",	   
   "PAGE_COUNT":"Число страниц по ширине или по высоте:",	 
   "PAGE_COUNT_MAX":"Максимальное число напечатанных страниц:",	  
   "PAGE_MARGIN":"Поле страницы:",
   "TYPE":"Тип",
   "SOURCEITEM":"Из",
   "TARGETITEM":"В",
   "ITEM1":"Элемент 1",
   "ITEM2":"Элемент 2",
   "DATASET1":"Набор данных 1",
   "DATASET2":"Набор данных 2",
   "LOADING":"Загрузка",
   "RESULTS_CLICK_TO_SELECT":"Результаты - Щелкните, чтобы выбрать",
   "RESULTS":"Результаты",
   "NO_RESULTS_FOUND":"Результаты не найдены",
   "CENTER_IN_VIEW":"По центру в представлении",
   "HIGHLIGHT":"Выделить",
   "CLEAR_SEARCH":"Очистить поиск",
   "DEPTH":"Глубина",
   "LAYOUT":"Схема",
   "ACTIONS":"Действия",
   "SAVE_CANVAS_CONTEXT":"Сохранить настройки",
   "SAVE_CUSTOMIZATION_QUESTION":"Вы уверены, что хотите сохранить все настройки?",
   "TOGGLE_VIEW":"Переключить представление",
   "ALTERNATING_RADIAL":"альтернативный радиальный",
   "AUTOMATIC":"автоматически",
   "BORDER_CENTER":"центр рамки",
   "BOTTOM":"низ",
   "CENTER":"центр",
   "CENTERED":"по центру",
   "DIRECT":"прямой",
   "EAST":"восток",
   "EVENLY_SPACED":"на равном расстоянии",
   "FAST_MULTILEVEL":"быстрый многоуровневый",
   "FIXED_OFFSET":"фиксированное смещение",
   "FREE":"произвольный",
   "HIGHER_LEVELS":"высшие уровни",
   "INCREMENTAL":"инкрементный",
   "LEFT":"левый",
   "LEVEL":"уровень",
   "LOWER_LEVELS":"нижние уровни",
   "MIXED":"смешанный",
   "NO_RESHAPE":"без изменения формы",
   "NON_INCREMENTAL":"неинкрементный",
   "NORTH":"север",
   "OPTIMAL":"оптимальный",
   "ORTHOGONAL":"прямоугольный",
   "POLYLINE":"многострочный",
   "RADIAL":"радиальный",
   "RIGHT":"правый",
   "SEMI_OPTIMAL":"полуоптимальный",
   "SOUTH":"юг",
   "SPREAD_OUT":"распределенный",
   "STRAIGHT":"прямой",
   "THREE_BENDS_ORTHOGONAL":"три прямоугольных изгиба",
   "TILE_TO_COLUMNS":"мозаика в столбцах",
   "TILE_TO_GRID_FIXED_HEIGHT":"мозаика по фиксированной высоте таблицы",
   "TILE_TO_GRID_FIXED_WIDTH":"мозаика по фиксированной ширине таблицы",
   "TILE_TO_ROWS":"мозаика в строках",
   "TIP_LEAVES_OVER":"наклонить терминальные элементы",
   "TIP_OVER_BOTH_SIDES":"наклонить в обе стороны",
   "TIP_OVER_EAST_WEST":"наклонить на восток запад",
   "TIP_OVER_WEST":"наклонить на запад",
   "TIP_OVER":"наклонить",
   "TIP_ROOTS_AND_LEAVES_OVER":"наклонить корневые и терминальные элементы",
   "TIP_ROOTS_OVER":"наклонить корневые элементы",
   "TOP":"верх",
   "TWO_BENDS_ORTHOGONAL":"два прямоугольных изгиба",
   "WEST":"запад",
   "EXPORT":"Экспорт",
   "EXPORT_IMAGE_DIALOG_TITLE":"Экспортировать как изображение",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Хотите экспортировать диаграмму как изображение? Выберите ниже нужный формат.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Расширенный поиск",
   "RESOURCES_COUNT": "Ресурсы: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Взаимосвязи: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Применен фильтр: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Выбрано: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Все",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Настроить схему: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Ошибка",
   "PENDING":"Отложено",
   "CLOSE":"Закрыть"
});

