/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/tr/resources", {      
   "SEARCH_TEXT":"Ara",
   "SAVE_TEXT":"Özelleştirmeleri Kaydet",
   "PRINT_TEXT":"Yazdır",
   "SELECT_TEXT":"Seç",
   "PAN_TEXT":"Yatay/Dikey Kaydırma",
   "ZOOM_SELECT_TEXT":"Yakınlaştırma Seçimi",
   "ZOOM_IN_TEXT":"Yakınlaştır",
   "ZOOM_OUT_TEXT":"Uzaklaştır",
   "FIT_CONTENTS_TEXT":"İçeriği Sığdır",
   "REFRESH_TEXT":"Yenile",
   "TOGGLE_LAYOUT_TEXT":"Düzeni Değiştir",
   "TREE_LAYOUT":"Ağaç",
   "HIERARCHICAL_LAYOUT":"Hiyerarşik",
   "FORCE_DIRECTED_LAYOUT":"Kuvvet Yönelimli",
   "GRID_LAYOUT":"Kılavuz",
   "SHORT_LINK_LAYOUT":"Kısa Bağlantı",
   "LONG_LINK_LAYOUT":"Uzun Bağlantı",
   "CUSTOM":"Özel",
   "SAVE":"Özelleştirmeleri Kaydet",
   "CANCEL":"İptal",
   "RESTORE_DEFAULTS":"Varsayılanları Geri Yükle",
   "LAYOUT_MODE":"Düzen kipi:",
   "FLOW_DIRECTION":"Akış yönü:",
   "LINK_STYLE":"Genel bağlantı stili:",
   "CONNECTOR_STYLE":"Bağlayıcı stili:",
   "GLOBAL_ALIGNMENT":"Genel hizalama:",
   "LEVEL_ALIGNMENT":"Düzey hizalama:",	
   "LEVEL_JUSTIFICATION":"Düzey yaslama:",
   "LEVELING_STRATEGY":"Düzey ayarlama stratejisi:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Genel yatay hizalama:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Genel dikey hizalama:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Satır veya sütun başına düğüm sayısı üst sınırı:",
   "PREFERRED_LINKS_LENGTH":"Tercih edilen bağlantı uzunluğu:",
   "LINK_STYLE":"Bağlantı stili:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Yineleme başına izin verilen hareket üst sınırı:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"İzin verilen yineleme sayısı:",
   "CONVERGENCE_THRESHOLD":"Yakınsamam eşiği:",
   "GLOBAL_LINK_STYLE":"Genel bağlantı stili:",
   "GLOBAL_SELF_LINK_STYLE":"Genel kendine bağlantı stili:",
   "GLOBAL_CONNECTOR_STYLE":"Genel bağlayıcı stili:",
   "LINK_OFFSET":"Bağlantı göreli konumu:",
   "MIN_FINAL_SEGMENT_LENGTH":"Son kesim uzunluğu alt sınırı:",
   "VERTICAL_MIN_OFFSET":"Dikey göreli konum alt sınırı:",
   "HORIZONTAL_MIN_OFFSET":"Yatay göreli konum alt sınırı:",
   "ASPECT_RATIO":"En boy oranı:",
   "ALGORITHM":"Algoritma:",
   "GENERAL":"Genel",
   "PROPERTIES":"Özellikler",
   "OK":"Tamam",
   "TOPOLOGY_VIEW":"Topoloji Görünümü",
   "RESOURCE_VIEW":"Kaynak Görünümü",
   "RELATIONSHIP_VIEW":"İlişki Görünümü",
   "LINK_VIEW":"Bağlantı Görünümü",
   "GET_ADOBE_FLASH_PLAYER":"Adobe Flash Player uygulamasını al",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Bu içeriği görüntülemek için sisteminizin <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>sistem gereksinimlerini</a> karşıladığından ve Adobe&reg; Flash&reg; Player sürüm ${version} ya da sonraki bir sürümünün  kurulu olduğundan emin olun. ", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Yok",
   "ITEM_REMOVED_MESSAGE":"Bu öğe veri kümesinden kaldırıldı.",
   "LINK_REMOVED_MESSAGE":"Bu bağlantı veri kümesinden kaldırıldı.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Bu ilişki veri kümesinden kaldırıldı.",
   "ACTIONS":"İşlemler",
   "PRINT_AS_BITMAP":"Bit eşlem olarak yazdır",	   
   "PAGE_COUNT":"Genişlik ya da yükseklik olarak sayfa sayısı:",	 
   "PAGE_COUNT_MAX":"Yazdırılan sayfa sayısı üst sınırı:",	  
   "PAGE_MARGIN":"Sayfa kenar boşluğu:",
   "TYPE":"Tip",
   "SOURCEITEM":"Başlangıç",
   "TARGETITEM":"Bitiş",
   "ITEM1":"Öğe 1",
   "ITEM2":"Öğe 2",
   "DATASET1":"Veri kümesi 1",
   "DATASET2":"Veri kümesi 2",
   "LOADING":"Yükleniyor",
   "RESULTS_CLICK_TO_SELECT":"Sonuçlar - Seçmek için tıklatın",
   "RESULTS":"Sonuçlar",
   "NO_RESULTS_FOUND":"Sonuç bulunamadı",
   "CENTER_IN_VIEW":"Görünümde Ortala",
   "HIGHLIGHT":"Vurgula",
   "CLEAR_SEARCH":"Aramayı Kaldır",
   "DEPTH":"Derinlik",
   "LAYOUT":"Düzen",
   "ACTIONS":"İşlemler",
   "SAVE_CANVAS_CONTEXT":"Özelleştirmeleri Kaydet",
   "SAVE_CUSTOMIZATION_QUESTION":"Tüm özelleştirmeleri kaydetmek istediğinizden emin misiniz?",
   "TOGGLE_VIEW":"Görünümü Değiştir",
   "ALTERNATING_RADIAL":"değişen radyal",
   "AUTOMATIC":"otomatik",
   "BORDER_CENTER":"kenarlığı ortala",
   "BOTTOM":"alt",
   "CENTER":"orta",
   "CENTERED":"ortalanmış",
   "DIRECT":"yön",
   "EAST":"doğu",
   "EVENLY_SPACED":"eşit aralıklı",
   "FAST_MULTILEVEL":"hızlı çok düzeyli",
   "FIXED_OFFSET":"sabit göreli konum",
   "FREE":"serbest",
   "HIGHER_LEVELS":"üst düzeyler",
   "INCREMENTAL":"artımlı",
   "LEFT":"sol",
   "LEVEL":"düzey",
   "LOWER_LEVELS":"alt düzeyler",
   "MIXED":"karma",
   "NO_RESHAPE":"yeniden şekillendirme yok",
   "NON_INCREMENTAL":"artımlı değil",
   "NORTH":"kuzey",
   "OPTIMAL":"optimal",
   "ORTHOGONAL":"dikgen",
   "POLYLINE":"çoklu çizgi",
   "RADIAL":"radyal",
   "RIGHT":"sağ",
   "SEMI_OPTIMAL":"yarı optimum",
   "SOUTH":"güney",
   "SPREAD_OUT":"yayılmış",
   "STRAIGHT":"düz",
   "THREE_BENDS_ORTHOGONAL":"üç kıvrımlı dikgen",
   "TILE_TO_COLUMNS":"sütunlara döşe",
   "TILE_TO_GRID_FIXED_HEIGHT":"kılavuz sabit yüksekliğine döşe",
   "TILE_TO_GRID_FIXED_WIDTH":"kılavuz sabit genişliğine döşe",
   "TILE_TO_ROWS":"satırlara döşe",
   "TIP_LEAVES_OVER":"yaprakları devir",
   "TIP_OVER_BOTH_SIDES":"her iki yana devir",
   "TIP_OVER_EAST_WEST":"doğu batı yönünde devir",
   "TIP_OVER_WEST":"batı yönünde devir",
   "TIP_OVER":"devir",
   "TIP_ROOTS_AND_LEAVES_OVER":"kökleri ve yaprakları devir",
   "TIP_ROOTS_OVER":"kökleri devir",
   "TOP":"üst",
   "TWO_BENDS_ORTHOGONAL":"iki kıvrımlı dikgen",
   "WEST":"batı",
   "EXPORT":"Dışa Aktar",
   "EXPORT_IMAGE_DIALOG_TITLE":"Resim Olarak Dışa Aktar",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Grafiği resim olarak dışa aktarmak istiyor musunuz? Aşağıda istenen biçimi seçin. ",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Gelişmiş Arama",
   "RESOURCES_COUNT": "Kaynaklar: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "İlişkiler: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Süzülen: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Seçilen: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Tümü",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Düzeni özelleştir: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Hata",
   "PENDING":"Bekliyor",
   "CLOSE":"Kapat"
});

