/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/DashBoardItemsTableView", ["dojo/_base/declare", "ibm/usmi/widgets/table/DefaultItemsTableView"],
	function (declare, DefaultItemsTableView) {
	
	return declare([DefaultItemsTableView], {
		
		augmentGridParams : function (gridParams) {
			//sorted by "Problems" column by default
			gridParams=this.inherited(arguments);

			gridParams.sortFields=[{
				attribute: "STATUS_CAT:Problems", 
				descending: false,
				ascending: true
			}];

			return gridParams;
		}
				
	});
});
