require({cache:{
'url:ibm/usmi/dashboard/templates/GroupHealthTip.html':"<div class=\"healthTip\">\r\n<!--\r\n\r\nLicensed Materials - Property of IBM\r\n\r\n(C) Copyright IBM Corp. 2012 All Rights Reserved\r\n\r\nUS Government Users Restricted Rights - Use, duplicate or\r\ndisclosure restricted by GSA ADP Schedule Contract with\r\nIBM Corp.\r\n\r\n-->\r\n    <div data-dojo-attach-point=\"containerNode\" style=\"display: none;\">\r\n        <div class=\"healthTip-all\">\r\n\t       <!-- <div class=\"entityTypeName\">${entityType}</div> -->\r\n\t        <div data-dojo-attach-point=\"healthTipBody\" class=\"healthTipBody\">\r\n\t\t\t\t<div id=\"recentEventLogs\" data-dojo-attach-point=\"recentEventLogs\">\r\n\t\t\t\t    <span class=\"healthTip-title\">${_resources.RecentEvents} </span>\r\n\t\t\t\t\t<span data-dojo-attach-point=\"noEvents\" class=\"healthTip-title-no-contents\">${_resources.NoRecentEvents}</span>\r\n\t\t\t\t\t<div id=\"eventLogTable\" data-dojo-attach-point=\"eventLogTable\">\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\t\t\t\t<div id=\"recentActiveAlerts\" data-dojo-attach-point=\"recentActiveAlerts\">\r\n\t\t\t\t\t<span class=\"healthTip-title\">${_resources.RecentAlerts} </span>\r\n\t\t\t\t\t<span data-dojo-attach-point=\"noAlerts\" class=\"healthTip-title-no-contents\">${_resources.NoRecentAlerts}</span>\r\n\t\t\t\t\t<div id=\"activeAlertsTable\" data-dojo-attach-point=\"activeAlertsTable\">\r\n\t\t\t\t</div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n"}});
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/HealthTip", ["dojo/_base/declare",
		"dijit/_WidgetBase",
		"dijit/_TemplatedMixin",
		"dojo/text!./templates/GroupHealthTip.html",
		"dijit/_WidgetsInTemplateMixin",
		//"dijit/Tooltip",
		"dojo/_base/lang",
		"./DatasetItemStoreAdapter",
		"idx/oneui/HoverHelpTooltip",
    	"dojo/i18n!./nls/DashbarResources"
	], function (declare, WidgetBase, TemplatedMixin, template, WidgetsInTemplateMixin,
	lang, DatasetItemStoreAdapter, HovrHelpTooltip, mri) {
	return declare([WidgetBase, TemplatedMixin, WidgetsInTemplateMixin], {

		templateString : template,
		entityNode: "",
		entityType: "",
		healthTipBody:"",
		eventLogs: [],
		activeAlerts: [],
		defaultPosition: ["below", "after"],
		sourceToken: null,
		showDelay: 500,
		hideDelay: 500,
		
        //resource bundle
        _resources : mri,
    
		postCreate: function() {
			this.inherited(arguments);
			this.update();
		},
    
		show: function() {
			if(!this._showTimer){
				this._showTimer = setTimeout(lang.hitch(this, function(){
					if(this._showTimer){
						clearTimeout(this._showTimer);
						delete this._showTimer;
					}
					idx.oneui.showHoverHelpTooltip(this.containerNode.innerHTML, this.entityNode, this.defaultPosition); //jlc
					//we do not want to use the close button from oneui HoverHelp
					if (idx.oneui._masterTT.closeButtonNode.style.display !== "none") { //jlc
						idx.oneui._masterTT.closeButtonNode.style.display="none"; //jlc
					}
					this._connectNode = this.entityNode;
				}), this.showDelay);
			}
			
			if(this._hideTimer){
				clearTimeout(this._hideTimer);
				delete this._hideTimer;
			}

		},
    
		hide: function(immediate) {
			immediate = immediate || false;
			if(this._showTimer){
				clearTimeout(this._showTimer);
				delete this._showTimer;
			}
			if(!this._hideTimer){
				if(immediate){
					//immediate to hide
					if(this._connectNode){
						idx.oneui.hideHoverHelpTooltip(this.entityNode); //jlc
						//oneui.hideHoverHelp(this.entityNode);
						delete this._connectNode;
					}
					return;
				}
				this._hideTimer = setTimeout(lang.hitch(this, function(){
					if(this._connectNode){
						idx.oneui.hideHoverHelpTooltip(this.entityNode); //jlc
						//oneui.hideHoverHelp(this.entityNode);
						delete this._connectNode;
					}
					if(this._showTimer){
					// if HoverHelp is scheduled to be shown (after a brief delay)
						clearTimeout(this._showTimer);
						delete this._showTimer;
					}
				}), this.hideDelay);
			}
			
		},
    
		update: function() {
			var datasetstore = new DatasetItemStoreAdapter({dataset: "EVENT_LOG", sourceToken: this.sourceToken});
			var deffered=datasetstore.getStore();
			deffered.then(lang.hitch(this, this._updateEventLogTable));
			
			var datasetstore2 = new DatasetItemStoreAdapter({
				dataset: "ACTIVE_ALERTS",
				_defaultProperties: ["Membername", "Severity", "DateTime", "SetName"],
				sourceToken: this.sourceToken
			});
			var deffered2=datasetstore2.getStore();
			deffered2.then(lang.hitch(this, this._updateActiveAlertsTable));
			
		},
		
		_updateEventLogTable: function(items){
			items=items || [];
			var itemIndex;
			var itemsLength = items.length;
			if(itemsLength === 0){
				this.noEvents.style.visibility="visible";
				return;
			} 
						
			var html=["<table class='healthTipTable'><tr class='healthTipTableHead'>",
			"<th class='healthTipTableColumn_Severity'></th>",
			"<th class='healthTipTableColumn_Source'>"+this._resources.Source+"</th>",
			"<th class='healthTipTableColumn_DateTime'>"+this._resources.DateAndTime+"</th>",
			"<th>"+this._resources.DateAndTime+"</th></tr>"];
				
			var setBgcolor=false;
			for(itemIndex=0;  itemIndex < itemsLength;  ++itemIndex) {
				var item=items[itemIndex];
				if(setBgcolor){
					html.push("<tr class='healthTipTableRow'>");
					setBgcolor=false;
				} else {
					html.push("<tr>");
					setBgcolor=true;
				}
				html.push("<td class='healthTipTableColumn_Severity'><img src='");
				html.push(item.getProperty("Severity").getValue().getImage());
				html.push("'>");
				html.push("</td><td>");
				html.push(item.getProperty("Source").getValue());
				html.push("</td><td>");
				var dateTime=item.getProperty("DateTime").getValue();
				dateTime=this._formatDateStr(dateTime);
				html.push(dateTime);
				html.push("</td><td>");
				html.push(item.getProperty("EventText").getValue());
				html.push("</td></tr>");
			}
			html.push("</table>");
			var result=html.join("");
			//console.debug(result);
			this.eventLogTable.innerHTML=result;
		},
		
		_updateActiveAlertsTable: function(items){
			items=items || [];
			var itemIndex = 0;
			var itemsLength = items.length;
			if(itemsLength === 0){
				this.noAlerts.style.visibility="visible";
				return;
			} 
			var html=["<table class='healthTipTable'><tr class='healthTipTableHead'>",
				"<th class='healthTipTableColumn_Severity'></th>",
				"<th class='healthTipTableColumn_Source'>"+this._resources.Source+"</th>",
				"<th class='healthTipTableColumn_DateTime'>"+this._resources.DateAndTime+"</th>",
				"<th>"+this._resources.DateAndTime+"</th></tr>"];
				
			var setBgcolor=false;
			for(itemIndex=0;  itemIndex < itemsLength;  ++itemIndex) {
				var item=items[itemIndex];
				if(setBgcolor){
					html.push("<tr class='healthTipTableRow'>");
					setBgcolor=false;
				} else {
					html.push("<tr>");
					setBgcolor=true;
				}
				html.push("<td class='healthTipTableColumn_Severity'><img src='");
				html.push(item.getProperty("Severity").getValue().getImage());
				html.push("'>");
				html.push("</td><td>");
				html.push(item.getProperty("Membername").getValue());
				html.push("</td><td>");
				var dateTime=item.getProperty("DateTime").getValue();
				dateTime=this._formatDateStr(dateTime);
				html.push(dateTime);
				html.push("</td><td>");
				html.push(item.getProperty("SetName").getValue());
				html.push("</td></tr>");
			}
			html.push("</table>");
			var result2=html.join("");
			//console.debug(result2);
			this.activeAlertsTable.innerHTML=result2;
		},
		
		_formatDateStr: function(dateTime){
			var formatedStr;
			var dateStrArr;
			if(dateTime){
				dateStrArr=dateTime.toString().split(" ");
				formatedStr=dateStrArr.slice(1, 5).join(" ");
			}
			//console.debug("shorten date is:" + formatedStr);
			return formatedStr;
		}
	});
});