/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/ResourceDashBoardPreload", [		
		"dojo/_base/kernel", "dojo/_base/declare", "dojo/topic", "dojo/i18n!./nls/DashbarResources"
	], function (dojo, declare, topic, mri) {
	return declare([], {
	
        //resource bundle
        _resources : mri,
        
		constructor : function (args) {
			dojo.safeMixin(this, args);
			
			topic.publish("updateTitle", {
				view : this._resources.ResourceDashboard,
				loading : true
			});			
		}				
	});
});
