/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/eventlog/EventLogPreload", [
	"dojo/_base/kernel",
	"dojo/_base/declare",
	"dojo/_base/connect",
	"dojo/_base/lang",
	"dojo/i18n!./nls/EventLogResources"
], function (dojo, declare, connect, lang, mri) {
	return declare([], {

		//resource bundle
		_resources : mri,

		constructor : function (args) {
			dojo.safeMixin(this, args);

			connect.publish("updateTitle", [ {
				resource : this._resources.preloadResource,
				view : this._resources.preloadView,
				loading : true
			}
			]);
		}
	});
});
