/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/it/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "Trova un sistema o un'attività",
	ContextFinderInitialText : "Trova un'attività per",
	ContextFinderTaskMenuFor : "Attività per",
	NoMatchesFound : "(nessuna corrispondenza trovata)",
	Close : "Chiude finestra di dialogo.",
	RefreshCache : "Aggiornato {0} {1} fa. Aggiornare per includere le risorse più recentemente aggiunte/modificate nei risultati.",
	Minutes : "minuti",
	Hours : "ore",
	Days : "giorni",
	Searching0 : "In ricerca.",
	Searching1 : "Ricerca in corso..",
	Searching2 : "Ricerca...",
	MoreTasks : "Per maggiori risultati ridefinire i termini di ricerca.",
	MoreResources : "Mostra tutto.",
	MoreGroups : "Per maggiori risultati ridefinire i termini di ricerca.",
	FinderTaskMenu : "Attività",
	FinderResourceMenu : "Risorse",
	FinderGroupMenu : "Gruppi",
	Chassis : "Chassis",
	Resources : "Risorse",
	FinderTooltipHelp : "Utilizzare lo strumento di ricerca incorporato per ricercare tutte le attività e le risorse gestite.",
	ContextFinderTooltipHelp : "Utilizzare questo strumento di ricerca incorporato per ricercare nel contesto tutte le attività che possono essere avviate contro la selezione corrente",
	//Finder Resources END

	//Mega Menu Resources BEGIN
	DeployImages : "Distribuisce le immagini del nodo di calcolo",
	Global : "globale",
	Dashboards : "Pannello di controllo",
	GettingStarted : "Guida introduttiva",
	InitialSetup : "Configurazione iniziale",
	SystemDashboard : "Dashboard di sistema",
	ChassisMap : "Associazione chassis",
	Status : "Stato",
	EventHistory : "Cronologia eventi",
	ActiveStatus : "Stato Attivo",
	Thresholds : "Soglie",
	ServiceAndSupport : "Servizio e supporto",
	Updates : "Aggiornamenti",
	Firmware : "Firmware",
	OSUpdates : "Aggiornamenti SO",
	ActiveAndScheduledJobs : "Lavori attivi e pianificati",
	CheckForUpdates : "Verifica aggiornamenti",
	Systems : "Sistemi",
	AllGroups : "Tutti i gruppi",
	MyFavorites : "Preferiti",
	ProdSystems : "Sistemi produzione",
	xSystems : "Sistemi x",
	TestSystems : "Sistemi di test",
	AllSystems : "Tutti i sistemi",
	Servers : "Server",
	ChassisAndMembers : "Chassis e membri",
	AllOperatingSystems : "Tutti i sistemi operativi",
	StorageAndNetwork : "Archiviazione e rete",
	StorageSystems : "Sistemi di archiviazione",
	NetworkSystems : "Sistemi di rete",
	Configuration : "Configurazione",
	Plans : "Piani",
	Templates : "Template",
	SystemProfiles : "Profili sistema",
	DiscoverNewSystems : "Rileva i nuovi sistemi",
	CollectInventory : "Raccogli inventario",
	Virtual : "Virtuale",
	Hosts : "Host",
	VirtualServers : "Server virtuali",
	Images : "Immagini",
	VirtualAppliances : "Applicazioni virtuali",
	Workloads : "Carichi di lavoro",
	Repositories : "Repository",
	SystemPools : "Pool di sistema",
	Server : "Server",
	Storage : "Archiviazione",
	Network : "Rete",
	DeployVirtualAppliance : "Distribuisci applicazione virtuale",
	Monitor : "Monitoraggio",
	RealTimeMonitors : "Monitoraggi in tempo reale",
	OperatingSystems : "Sistemi operativi",
	Hardware : "Hardware",
	Energy : "Energia",
	Compliance : "Conformità",
	MonitoredSystems : "Sistemi monitorati",
	Policies : "Politiche",
	Automation : "Automazione",
	Actions : "Azioni",
	EventFilters : "Filtri eventi",
	CommandDefinitions : "Definizioni comandi",
	CreateAutomationPlan : "Crea piano di automazione",
	Security : "Sicurezza",
	Permissions : "Autorizzazioni",
	UsersAndGroups : "Utenti e gruppi",
	Roles : "Ruoli",
	Credentials : "Credenziali",
	Access : "Accesso",
	SystemsWithNoAccess : "Sistemi con nessun accesso",
	Auditing : "Controllo",
	AuditLog : "Controllo Log",
	ChangePassword : "Modifica password",
	CreateUser : "Crea utente",
	Utilities : "Utilities",
	Settings : "Impostazioni",
	AutoRename : "Ridenominazione automatica",
	ServiceandSupport : "Servizio e supporto",
	Administration : "Amministrazione",
	Appliance : "Applicazione",
	Plugins : "Plug-in",
	ApplicationExtensions : "Estensioni dell'applicazione",
	UserPreferences : "Preferenze utente",
	Navigation : "Navigazione",
	EventLog : "Log eventi",
	ManagementServer : "Server di gestione",
	NetworkManagement : "Gestione rete",
	Advanced : "Avanzato",
	BackupAppliance : "Applicazione di backup",
	HelpMenu : "Guida",
	Help : "Guida",
	IBMFlexSystemManagerOverview : "Panoramica di IBM Flex System Manager",
	InitialSetup : "Configurazione iniziale",
	TourOfTheFlexSystemManagerUserInterface : "Presentazione dell'interfaccia utente di Flex System Manager",
	UserAndPasswordManagement : "Gestione utente e password",
	ComputeNodeManagement : "Gestione del nodo di calcolo",
	ResourceManagement : "Gestione delle risorse",
	ServiceAndSupportManagement : "Gestione servizio e supporto",
	QuickStartGuides : "Guide rapide",
	FSMLearning : "Apprendimento di FSM",
	GeneralHelp : "Guida generale"
});

