// wrapped by build app
define("ibm/usmi/widgets/util/Constants", ["dijit","dojo","dojox"], function(dijit,dojo,dojox){
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
dojo.provide("ibm.usmi.widgets.util.Constants");

ibm.usmi.widgets.util.Constants = {
    // URLs
    CONTEXT_ROOT: "/ibm/console",
    LAYOUT_PAGE:  "/ibm/console/xLaunch.do?pageID=",
    BASE_REST_URL: "/ibm/tivoli/rest",

    // Widgets Parms
    DEFAULT_PROVIDER: "USMI",
    SOURCE_TOKEN: "sourceToken",
    COLLECTION: "collectionID",
    PROVIDER: "providerID",
    SELECTOR_HOME: "selectorHome",
    TREE_SELECTOR_GROUP: "groupID",

    // Topics
    TOPIC_HASH_CHANGE: "/dojo/hashchange",
    TOPIC_RETARGET: "reTarget",
    TOPIC_RETARGET_INFO: "RETARGET_INFO",
    TOPIC_DEFAULT_URL_LAUNCH: "DefaultURLLaunch",
    TOPIC_JOB_LAUNCH_RESULT: "JobLaunchResult",
    TOPIC_TASK_TITLE_CHANGE: "updateTitle",
    TOPIC_READY_WORKAREA: "workAreaReady",
    TOPIC_LOG_JS_TO_SERVER: "log-js-to-server",

    // Hash Parms
    HASH_TASK_SELECTION: "taskSelection",
    HASH_TOPPER_SELECTION: "treeTopperId",
    HASH_TASK_PATH: "taskPath",
    HASH_TASK_PATH_KEY: "taskPathKey",
    HASH_TASK_RELATIONSHIP: "relationship",

    // Events
    SELECTION_CHANGE: "onSelectionChanged",
    SET_DATASET: "onSetDataset",
    ON_CLICK: "onclick",

    // CSS & HTML
    CSS_DISPLAY_NONE: "display: none;",
    CSS_MAX_SIZE: "height:100%;width:100%;",
    HTML_LIST_ITEM: "li",

    // TWL
    PROPS_ALL: "all",
    PROPS_DEFAULT: "default",
    PROPS_CURRENT: "current",
    ITEM: "item",

    // Tasks
    TASK_TYPE_URL: "URL",
    TASK_TYPE_WIDGET: "WIDGET",
    TASK_TYPE_RELATED_RESOURCE: "RELATED_RESOURCE",
    TASK_LAUNCH_CANCELED: "CANCEL",
    TASK_LAUNCH_SUBMIT_SUCCESSFUL: "SUCCESS",
    TASK_LAUNCH_SUBMIT_FAILED:  "FAIL",
    
    //RETARGET_INFO
    RETARGET_INFO_DATASET: "dataset",
    TARGET_INFO: "targetInfo"
};
});
