/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
/*global define */
define("ibm/usmi/widgets/wizard/DirectorPage", [ "dojo/_base/declare",
	"dojo/dom-class",
	"dojoe/wizard/Page" ], function (
	declare, domclass, Page) {
	// declare that I'm extending dojoe.wizard.Page
	return declare([ Page ], {
		// override buildRendering to use our own Director-specific class (proper padding)
		buildRendering : function () {
			this.inherited(arguments);
			domclass.add(this.domNode, "director-tiv-page");
		}
	});
});
