define("dojox/grid/enhanced/nls/el/Pagination", {      
//begin v1.x content
	// ${0}: number
	//		total number of all items
	// ${1}: number
	//		start item index of current page
	// ${2}: number
	//		end item index of current page
	// example:
	//		the total number is 200, the unit of item is "items"
	//		rows per page is 20, current page is 1, then the description
	//		would be looked as below:
	//	|	1 - 20 of 200 items 
	"descTemplate": "${1} - ${2} από ${0} στοιχεία",	//Used when pagination is enabled and row count is larger than 1
	"descSingleTemplate": "1 - 1 από 1 στοιχείο",	//Used when pagination is enabled and row count is 1
	"descAllTemplate": "${0} στοιχεία",	//Used when pagination is disabled ('all' mode) and row count is larger than 1
	"descSingleAllTemplate": "1 στοιχείο",	//Used when pagination is disabled ('all' mode) and row count is 1
	"descEmptyTemplate": "0 στοιχεία",	//Used when row count is zero
	"firstTip": "Πρώτη σελίδα",
	"lastTip": "Τελευταία σελίδα",
	"nextTip": "Επόμενη σελίδα",
	"prevTip": "Προηγούμενη σελίδα",
//These two are no longer necessary...
//    "itemTitle": "items",
//    "singularItemTitle": "item",
	"pageStepLabelTemplate": "Σελίδα ${0}",
	"pageSizeLabelTemplate": "${0} στοιχεία ανά σελίδα",
	"allItemsLabelTemplate": "Όλα τα στοιχεία",
	"gotoButtonTitle": "Μετάβαση σε συγκεκριμένη σελίδα",
	"dialogTitle": "Μετάβαση σε σελίδα",
	"dialogIndication": "Καθορίστε τον αριθμό σελίδας",
	"pageCountIndication": " (${0} σελίδες)",
	"dialogConfirm": "Μετάβαση",
	"dialogCancel": "Ακύρωση",
	"all": "Όλα"
// end v1.x content
});

