define("dojox/grid/enhanced/nls/th/Pagination", {      
//begin v1.x content
	// ${0}: number
	//		total number of all items
	// ${1}: number
	//		start item index of current page
	// ${2}: number
	//		end item index of current page
	// example:
	//		the total number is 200, the unit of item is "items"
	//		rows per page is 20, current page is 1, then the description
	//		would be looked as below:
	//	|	1 - 20 of 200 items 
	"descTemplate": "${1} - ${2} จาก ${0} ไอเท็ม",	//Used when pagination is enabled and row count is larger than 1
	"descSingleTemplate": "1 - 1 จาก 1 ไอเท็ม",	//Used when pagination is enabled and row count is 1
	"descAllTemplate": "${0} ไอเท็ม",	//Used when pagination is disabled ('all' mode) and row count is larger than 1
	"descSingleAllTemplate": "1 ไอเท็ม",	//Used when pagination is disabled ('all' mode) and row count is 1
	"descEmptyTemplate": "0 ไอเท็ม",	//Used when row count is zero
	"firstTip": "หน้าแรก",
	"lastTip": "หน้าหลังสุด",
	"nextTip": "หน้าถัดไป",
	"prevTip": "หน้าก่อนหน้านี้",
//These two are no longer necessary...
//    "itemTitle": "items",
//    "singularItemTitle": "item",
	"pageStepLabelTemplate": "หน้า ${0}",
	"pageSizeLabelTemplate": "${0} ไอเท็มต่อหน้า",
	"allItemsLabelTemplate": "ไอเท็มทั้งหมด",
	"gotoButtonTitle": "ไปยังหน้าที่ระบุ",
	"dialogTitle": "ไปยังหน้า",
	"dialogIndication": "ระบุหมายเลขหน้า",
	"pageCountIndication": " (${0} หน้า)",
	"dialogConfirm": "ไป",
	"dialogCancel": "ยกเลิก",
	"all": "ทั้งหมด"
// end v1.x content
});

