// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivpages/Summary", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivPage"], function(dijit,dojo,dojox){
dojo.provide("ibm.tivoli.tip.dijit.tests.tivpages.Summary");

dojo.require("ibm.tivoli.tip.dijit.TivPage");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivpages.Summary", ibm.tivoli.tip.dijit.TivPage, 
{
	templateString:"<div >\r\n\t<div class=\"tiv-page-header\">\r\n\t\t<h2>Summary</h2>\r\n\t\t<p>\r\n\t\tOnce you press finish on this wizard, we'll take you to the preferences of the base\r\n\t\twidget. In that form, you can adjust any attributes of the new widget described in\r\n\t\tthis wizard.\r\n\t\t</p>\r\n\t</div>\r\n\t<div class=\"tiv-page-content\">\r\n\t\t<h3>Widget as it would appear in the browser</h3>\r\n\t\t<span dojoAttachPoint=\"_widgetName\"></span>\r\n\t\t<div dojoAttachPoint=\"_widgetDescription\"></div>\r\n\t\t\r\n\t\t<h3>Catalogs</h3>\r\n\t\t<div dojoAttachPoint=\"_catalogs\"></div>\r\n\t\t\r\n\t\t<h3>Roles</h3>\r\n\t\t<div dojoAttachPoint=\"_roles\"></div>\r\n\t</div>\t\t\t\t\r\n</div>",
	title: "Summary",
	
	OnPageSelected: function(myContainer)
	{
		this.inherited(arguments);
		
		// find my form
		var f = this.domNode;
		while(null != f && f.tagName.toLowerCase() != "form") {
			f = f.parentNode;
		}
		if(null != f) {
			var data = dojo.formToObject(f);
			this._widgetName.innerHTML = data.widget_name || "";
			this._widgetDescription.innerHTML = data.widget_desc || "";
			if(dojo.isArray(data.catalogs)) {
				this._catalogs.innerHTML = data.catalog.join(", ");
			}
			else {
				this._catalogs.innerHTML = data.catalog || "";
			}
			if(dojo.isArray(data.roles)) {
				this._roles.innerHTML = data.role.join(", ");
			}
			else {
				this._roles.innerHTML = data.role || "";
			}
		}
	}
});
});
