// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivwizard_pages/TestPage7", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivPage,ibm/tivoli/tip/dijit/TivWizard,ibm/tivoli/tip/dijit/tests/tivpages/Welcome,ibm/tivoli/tip/dijit/tests/tivpages/Page2,ibm/tivoli/tip/dijit/tests/tivpages/Page3,ibm/tivoli/tip/dijit/tests/tivpages/Summary"], function(dijit,dojo,dojox){
dojo.provide("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage7");

dojo.require("ibm.tivoli.tip.dijit.TivPage");
dojo.require("ibm.tivoli.tip.dijit.TivWizard");
dojo.require("ibm.tivoli.tip.dijit.tests.tivpages.Welcome");
dojo.require("ibm.tivoli.tip.dijit.tests.tivpages.Page2");
dojo.require("ibm.tivoli.tip.dijit.tests.tivpages.Page3");
dojo.require("ibm.tivoli.tip.dijit.tests.tivpages.Summary");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage7", [ibm.tivoli.tip.dijit.TivPage],
{
  templateString:"<div class=\"wiz-nested-wizard-step\">\r\n  <div class=\"tiv-page-content\">\r\n    <div style=\"width:600px; height:380px;\">\r\n      <div dojoAttachPoint=\"embedWiz\" dojoType=\"ibm.tivoli.tip.dijit.TivWizard\" nested=\"true\" formId=\"wiz3_form\" layout=\"horizontal\" renderNoArrows=\"true\">\r\n        <div dojoType=\"ibm.tivoli.tip.dijit.tests.tivpages.Welcome\"></div>\r\n        <div dojoType=\"ibm.tivoli.tip.dijit.tests.tivpages.Page2\"></div>\r\n        <div dojoType=\"ibm.tivoli.tip.dijit.tests.tivpages.Page3\"></div>\r\n        <div dojoType=\"ibm.tivoli.tip.dijit.tests.tivpages.Summary\"></div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n",
  title: "Nested Wizard Page",
  
  postCreate: function()
  {
    this.inherited(arguments);     
    console.log("TestPage7 - postCreate");
  },
  
  startup: function()
  {
    if (this._started){ return; }
    console.log("TestPage7 - startup");
    this.inherited(arguments);     
  },
  
  OnPageSelected: function()
  {
    console.log("TestPage7 - OnPageSelected");
    this.inherited(arguments);     
  },
  
  AfterPageSelected: function()
  {
    console.log("TestPage7 - AfterPageSelected");
  },
  
  // Override so buttons work properly 
  isValid: function()
  {
    return true;
  }  
});

});
