// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivwizard_pages/TestPage8", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivPage"], function(dijit,dojo,dojox){
dojo.provide("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage8");
dojo.require("ibm.tivoli.tip.dijit.TivPage");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage8", [ibm.tivoli.tip.dijit.TivPage], 
{
  templateString:"<div class=\"page8\">\r\n  <div class=\"tiv-page-header\">\r\n    <h2>Looping Page</h2>\r\n    <p>Here is an example of a loop.</p>\r\n  </div>\r\n  <div class=\"tiv-page-content\">\r\n    <p>Click to start the loop\r\n    <input type=\"button\" value=\"Add item\" dojoAttachPoint=\"_addItemButton\" />    \r\n    </p>\r\n    <h4>Items to buy:</h4>\r\n    <textarea cols=\"50\" rows=\"10\" dojoAttachPoint=\"_itemList\"></textarea>\r\n  </div>\r\n</div>\r\n",
  title: "Looping Page",
  loops: true,
  
  postCreate: function()
  {
    dojo.connect(this._addItemButton, "onclick", this, this.onAdd);
  },
  
  onAdd: function()
  {
    // reset visited flags on substeps
    var findStep = dijit.getEnclosingWidget(dojo.query(".substepfind", this.wizard.domNode)[0]);
    var selectStep = dijit.getEnclosingWidget(dojo.query(".substepselect", this.wizard.domNode)[0]);
    findStep.visited = false;
    selectStep.visited = false;
    
    // start loop
    this.wizard.jumpToNextLoopStep();
  },

  AfterPageSelected: function ()
  {
    this.wizard.resetFinishLabel("Finish");
    this.wizard.enableFinishButton(true);
  },
  
  reset: function() 
  {    
    // clear out textarea
    this._itemList.value = "";
  }
  
});

});
