// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivwizard_pages/TestPage9", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivPage"], function(dijit,dojo,dojox){
dojo.provide("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage9");

dojo.require("ibm.tivoli.tip.dijit.TivPage");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage9", [ibm.tivoli.tip.dijit.TivPage], 
{
  templateString:"<div class=\"wiz-summary\">\r\n  <div class=\"tiv-page-header\">\r\n    <h2>Summary</h2>\r\n    <p>Press Finish the button to submit the form.</p>\r\n  </div>\r\n  <div class=\"tiv-page-content\">\r\n    <h4>Selections made:</h4>            \r\n    <div dojoAttachPoint=\"_itemList\"></div>\r\n    <div dojoAttachPoint=\"_addItemLink\"\r\n      style=\"margin-bottom:3em;cursor:pointer;text-decoration:underline;color: #3366CC;\">\r\n      Add item\r\n    </div>\r\n    <input dojoAttachPoint=\"_testAllowFinish\" type=\"checkbox\" checked>Allow confirm</input>\r\n  </div>\r\n</div>\r\n",
  title: "Summary",
  
  postCreate: function()
  {
    dojo.connect(this._addItemLink, 'onclick', this, this.onLinkSelected);  
  },

  OnPageSelected: function(wiz)
  {
    this.inherited(arguments);
    
    var page8 = dijit.getEnclosingWidget(dojo.query(".page8", this.wizard.domNode)[0]);
    var val = page8._itemList.value;
    if (val.length > 0) {
      val = val.replace(/\n/g, "<br />");
      this._itemList.innerHTML = val;
    }
    else
      this._itemList.innerHTML = "";
  },

  AfterPageSelected: function()
  {
    this.wizard.enableFinishButton(true);
    this.wizard.resetFinishLabel("Confirm");
    this.wizard.enableNextButton(false);
  },
  
  reset: function ()
  {
    console.log("TestPage9.reset");

    this.setDisabled(true);
  },
  
  allowFinish: function()
  { 
    var ok = (this._testAllowFinish.checked) ? true : false;    
    return ok;
  },
  
  onLinkSelected: function()
  {
    this.wizard.resetFinishLabel("Finish");
    this.wizard.jumpBackToPage(dijit.getEnclosingWidget(dojo.query(".page8", this.wizard.domNode)[0]));
  }
  
});

});
