/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/fi/resources", {      
   "SEARCH_TEXT":"Hae",
   "SAVE_TEXT":"Tallenna mukautukset",
   "PRINT_TEXT":"Tulosta",
   "SELECT_TEXT":"Valitse",
   "PAN_TEXT":"Panoroi",
   "ZOOM_SELECT_TEXT":"Lähennä valintaan",
   "ZOOM_IN_TEXT":"Lähennä",
   "ZOOM_OUT_TEXT":"Loitonna",
   "FIT_CONTENTS_TEXT":"Sovita sisältö",
   "REFRESH_TEXT":"Päivitä",
   "TOGGLE_LAYOUT_TEXT":"Vaihda asettelu",
   "TREE_LAYOUT":"Rakenne",
   "HIERARCHICAL_LAYOUT":"Hierarkkinen",
   "FORCE_DIRECTED_LAYOUT":"Voimiin perustuva",
   "GRID_LAYOUT":"Ruudukko",
   "SHORT_LINK_LAYOUT":"Lyhyt linkki",
   "LONG_LINK_LAYOUT":"Pitkä linkki",
   "CUSTOM":"Mukautettu",
   "SAVE":"Tallenna mukautukset",
   "CANCEL":"Peruuta",
   "RESTORE_DEFAULTS":"Palauta oletusarvot",
   "LAYOUT_MODE":"Asettelutila:",
   "FLOW_DIRECTION":"Tekstin suunta:",
   "LINK_STYLE":"Yleisen linkin tyyli:",
   "CONNECTOR_STYLE":"Liittimen tyyli:",
   "GLOBAL_ALIGNMENT":"Yleinen kohdistus:",
   "LEVEL_ALIGNMENT":"Tason kohdistus:",	
   "LEVEL_JUSTIFICATION":"Tason tasaus:",
   "LEVELING_STRATEGY":"Tasoitusstrategia:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Yleinen vaakakohdistus:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Yleinen pystykohdistus:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Solmujen enimmäismäärä riviä tai saraketta kohti:",
   "PREFERRED_LINKS_LENGTH":"Haluttu linkkien pituus:",
   "LINK_STYLE":"Linkin tyyli:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Sallittu siirtojen enimmäismäärä iteraatiota kohti:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Sallittu iteraatioiden määrä:",
   "CONVERGENCE_THRESHOLD":"Välitystiheyden raja-arvo:",
   "GLOBAL_LINK_STYLE":"Yleisen linkin tyyli:",
   "GLOBAL_SELF_LINK_STYLE":"Yleisen self-linkin tyyli:",
   "GLOBAL_CONNECTOR_STYLE":"Yleisen liittimen tyyli:",
   "LINK_OFFSET":"Linkin siirtymä:",
   "MIN_FINAL_SEGMENT_LENGTH":"Viimeisen segmentin vähimmäispituus:",
   "VERTICAL_MIN_OFFSET":"Pystysuuntainen vähimmäissiirtymä:",
   "HORIZONTAL_MIN_OFFSET":"Vaakasuuntainen vähimmäissiirtymä:",
   "ASPECT_RATIO":"Kuvasuhde:",
   "ALGORITHM":"Algoritmi:",
   "GENERAL":"Yleinen",
   "PROPERTIES":"Ominaisuudet",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Topologianäkymä",
   "RESOURCE_VIEW":"Resurssinäkymä",
   "RELATIONSHIP_VIEW":"Suhdenäkymä",
   "LINK_VIEW":"Linkkinäkymä",
   "GET_ADOBE_FLASH_PLAYER":"Lataa Adobe Flash player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Jotta voit tarkastella tätä sisältöä, varmista, että järjestelmä vastaa <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>järjestelmävaatimuksia</a> ja että Adobe Flash Player ${version} tai uudempi on asennettu.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Ei mitään",
   "ITEM_REMOVED_MESSAGE":"Kohde on poistettu tietojoukosta.",
   "LINK_REMOVED_MESSAGE":"Linkki on poistettu tietojoukosta.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Suhde on poistettu tietojoukosta.",
   "ACTIONS":"Toiminnot",
   "PRINT_AS_BITMAP":"Tulosta bittikarttana:",	   
   "PAGE_COUNT":"Sivujen määrä leveys- tai pituussuunnassa:",	 
   "PAGE_COUNT_MAX":"Tulostettavien sivujen enimmäismäärä:",	  
   "PAGE_MARGIN":"Sivun reunus:",
   "TYPE":"Laji",
   "SOURCEITEM":"Alku",
   "TARGETITEM":"Loppu",
   "ITEM1":"Kohde 1",
   "ITEM2":"Kohde 2",
   "DATASET1":"Tietojoukko 1",
   "DATASET2":"Tietojoukko 2",
   "LOADING":"Lataus on meneillään",
   "RESULTS_CLICK_TO_SELECT":"Tulokset - valitse napsauttamalla",
   "RESULTS":"Tulokset",
   "NO_RESULTS_FOUND":"Tuloksia ei löytynyt",
   "CENTER_IN_VIEW":"Keskitä näkymään",
   "HIGHLIGHT":"Korosta",
   "CLEAR_SEARCH":"Tyhjennä haku",
   "DEPTH":"Syvyys",
   "LAYOUT":"Asettelu",
   "ACTIONS":"Toiminnot",
   "SAVE_CANVAS_CONTEXT":"Tallenna mukautukset",
   "SAVE_CUSTOMIZATION_QUESTION":"Haluatko varmasti tallentaa kaikki mukautukset?",
   "TOGGLE_VIEW":"Valitse näkymä",
   "ALTERNATING_RADIAL":"vaihteleva säde",
   "AUTOMATIC":"automaattinen",
   "BORDER_CENTER":"reunuksen keskus",
   "BOTTOM":"alareuna",
   "CENTER":"keskitä",
   "CENTERED":"keskitetty",
   "DIRECT":"suora",
   "EAST":"itä",
   "EVENLY_SPACED":"tasaiset välit",
   "FAST_MULTILEVEL":"nopea monitasoinen",
   "FIXED_OFFSET":"kiinteä siirtymä",
   "FREE":"vapaa",
   "HIGHER_LEVELS":"ylemmät tasot",
   "INCREMENTAL":"vaiheittainen",
   "LEFT":"vasen",
   "LEVEL":"taso",
   "LOWER_LEVELS":"alemmat tasot",
   "MIXED":"sekoitettu",
   "NO_RESHAPE":"ei uudelleenmuotoilua",
   "NON_INCREMENTAL":"ei vaiheittainen",
   "NORTH":"pohjoinen",
   "OPTIMAL":"optimaalinen",
   "ORTHOGONAL":"suorakulmainen",
   "POLYLINE":"murtoviiva",
   "RADIAL":"säde",
   "RIGHT":"oikea",
   "SEMI_OPTIMAL":"osittain optimaalinen",
   "SOUTH":"etelä",
   "SPREAD_OUT":"levitä",
   "STRAIGHT":"suora",
   "THREE_BENDS_ORTHOGONAL":"suorakulmainen, kolme kaarevaa kulmaa",
   "TILE_TO_COLUMNS":"asettele sarakkeisiin",
   "TILE_TO_GRID_FIXED_HEIGHT":"asettele ruudukkoon, kiinteä korkeus",
   "TILE_TO_GRID_FIXED_WIDTH":"asettele ruudukkoon, kiinteä leveys",
   "TILE_TO_ROWS":"asettele riveihin",
   "TIP_LEAVES_OVER":"kaada kumoon lehdet",
   "TIP_OVER_BOTH_SIDES":"kaada kumoon molemmat sivut",
   "TIP_OVER_EAST_WEST":"kaada kumoon itä ja länsi",
   "TIP_OVER_WEST":"kaada kumoon länsi",
   "TIP_OVER":"kaada kumoon",
   "TIP_ROOTS_AND_LEAVES_OVER":"kaada kumoon juuret ja lehdet",
   "TIP_ROOTS_OVER":"kaada kumoon juuret",
   "TOP":"yläreuna",
   "TWO_BENDS_ORTHOGONAL":"suorakulmainen, kaksi kaarevaa kulmaa",
   "WEST":"länsi",
   "EXPORT":"Vie",
   "EXPORT_IMAGE_DIALOG_TITLE":"Vie kuvaksi",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Haluatko viedä kaavion kuvaksi? Valitse alta haluamasi muoto.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Tarkennettu haku",
   "RESOURCES_COUNT": "Resurssit: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Suhteet: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Suodatettu: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Valittu: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Kaikki",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Mukautettu asettelu: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Virhe",
   "PENDING":"Kesken",
   "CLOSE":"Sulje"
});

