/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/he/resources", {      
   "SEARCH_TEXT":"חיפוש",
   "SAVE_TEXT":"שמירת התאמות",
   "PRINT_TEXT":"הדפסה",
   "SELECT_TEXT":"בחירה",
   "PAN_TEXT":"סיבוב",
   "ZOOM_SELECT_TEXT":"שינוי גודל בחירה",
   "ZOOM_IN_TEXT":"הגדלה",
   "ZOOM_OUT_TEXT":"הקטנה",
   "FIT_CONTENTS_TEXT":"התאמה לתוכן",
   "REFRESH_TEXT":"רענון",
   "TOGGLE_LAYOUT_TEXT":"החלפת מצב פריסה",
   "TREE_LAYOUT":"עץ",
   "HIERARCHICAL_LAYOUT":"היררכית",
   "FORCE_DIRECTED_LAYOUT":"מכוון עוצמה",
   "GRID_LAYOUT":"רשת",
   "SHORT_LINK_LAYOUT":"קישור קצר",
   "LONG_LINK_LAYOUT":"קישור ארוך",
   "CUSTOM":"מותאם",
   "SAVE":"שמירת התאמות",
   "CANCEL":"ביטול",
   "RESTORE_DEFAULTS":"שחזור ברירות מחדל",
   "LAYOUT_MODE":"מצב פריסה:",
   "FLOW_DIRECTION":"כיוון זרימה:",
   "LINK_STYLE":"סגנון קישור גלובלי:",
   "CONNECTOR_STYLE":"סגנון מחבר:",
   "GLOBAL_ALIGNMENT":"יישור גלובלי:",
   "LEVEL_ALIGNMENT":"יישור רמה:",	
   "LEVEL_JUSTIFICATION":"יישור רמה לשני הצדדים:",
   "LEVELING_STRATEGY":"אסטרטגיית איזון:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"יישור אופקי גלובלי:",
   "GLOBAL_VERTICAL_ALIGNMENT":"יישור אנכי גלובלי:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"מספר צמתים מרבי לכל שורה או עמודה:",
   "PREFERRED_LINKS_LENGTH":"אורך קישור מועדף:",
   "LINK_STYLE":"סגנון קישור:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"מספר מעברים מותר לכל חזרה:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"מספר החזרות המותרות:",
   "CONVERGENCE_THRESHOLD":"סף הסתעפות:",
   "GLOBAL_LINK_STYLE":"סגנון קישור גלובלי:",
   "GLOBAL_SELF_LINK_STYLE":"סגנון קישור עצמי גלובלי:",
   "GLOBAL_CONNECTOR_STYLE":"סגנון מחבר גלובלי:",
   "LINK_OFFSET":"היסט קישור:",
   "MIN_FINAL_SEGMENT_LENGTH":"אורך מקטע סופי מינימלי:",
   "VERTICAL_MIN_OFFSET":"היסט מינימלי אנכי:",
   "HORIZONTAL_MIN_OFFSET":"היסט מינימלי אופקי:",
   "ASPECT_RATIO":"יחס גובה-רוחב:",
   "ALGORITHM":"אלגוריתם:",
   "GENERAL":"כללי",
   "PROPERTIES":"תכונות",
   "OK":"אישור",
   "TOPOLOGY_VIEW":"תצוגת טופולוגיה",
   "RESOURCE_VIEW":"תצוגת משאבים",
   "RELATIONSHIP_VIEW":"תצוגת יחסי גומלין",
   "LINK_VIEW":"תצוגת קישורים",
   "GET_ADOBE_FLASH_PLAYER":"קבלת Adobe Flash player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"להצגת תוכן זה, ודאו שהמערכת שלהם עונה על <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>דרישות המערכת</a> ושהיישום Adobe&reg; Flash&reg; Player מהדורה ${version} ואילך מותקן.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"ללא",
   "ITEM_REMOVED_MESSAGE":"פריט זה סולק מערכת הנתונים.",
   "LINK_REMOVED_MESSAGE":"קישור זה סולק מערכת הנתונים.",
   "RELATIONSHIP_REMOVED_MESSAGE":"יחסי גומלין אלה סולקו מערכת הנתונים.",
   "ACTIONS":"פעולות",
   "PRINT_AS_BITMAP":"הדפסה בתור Bitmap:",	   
   "PAGE_COUNT":"מספר עמודים ברוחב או בגובה:",	 
   "PAGE_COUNT_MAX":"מספר מרבי של עמודים שהודפסו:",	  
   "PAGE_MARGIN":"שולי עמוד:",
   "TYPE":"סוג",
   "SOURCEITEM":"מ-",
   "TARGETITEM":"אל",
   "ITEM1":"פריט 1",
   "ITEM2":"פריט 2",
   "DATASET1":"ערכת נתונים 1",
   "DATASET2":"ערכת נתונים 2",
   "LOADING":"טעינה",
   "RESULTS_CLICK_TO_SELECT":"תוצאות - יש ללחוץ לבחירה",
   "RESULTS":"תוצאות",
   "NO_RESULTS_FOUND":"לא אותרו תוצאות",
   "CENTER_IN_VIEW":"התמקדות בתצוגה",
   "HIGHLIGHT":"סימון",
   "CLEAR_SEARCH":"ניקוי חיפוש",
   "DEPTH":"עומק",
   "LAYOUT":"פריסה",
   "ACTIONS":"פעולות",
   "SAVE_CANVAS_CONTEXT":"שמירת התאמות",
   "SAVE_CUSTOMIZATION_QUESTION":"האם אתם בטוחים שברצונכם לשמור את כל ההתאמות?",
   "TOGGLE_VIEW":"החלפת מצב תצוגה",
   "ALTERNATING_RADIAL":"מוקדי מתחלף",
   "AUTOMATIC":"אוטומטי",
   "BORDER_CENTER":"מרכז גבול",
   "BOTTOM":"קצה תחתון",
   "CENTER":"מרכז",
   "CENTERED":"ממורכז",
   "DIRECT":"ישיר",
   "EAST":"מזרח",
   "EVENLY_SPACED":"מרווח אחיד",
   "FAST_MULTILEVEL":"ריבוי רמות מהיר",
   "FIXED_OFFSET":"היסט קבוע",
   "FREE":"חופשי",
   "HIGHER_LEVELS":"רמות גבוהות יותר",
   "INCREMENTAL":"מצטבר",
   "LEFT":"שמאל",
   "LEVEL":"רמה",
   "LOWER_LEVELS":"רמות נמוכות יותר",
   "MIXED":"מעורב",
   "NO_RESHAPE":"ללא שינוי צורה",
   "NON_INCREMENTAL":"לא מצטבר",
   "NORTH":"צפון",
   "OPTIMAL":"מיטבי",
   "ORTHOGONAL":"אורתוגונלי",
   "POLYLINE":"קו מצולע",
   "RADIAL":"מוקדי",
   "RIGHT":"ימין",
   "SEMI_OPTIMAL":"חצי מיטבי",
   "SOUTH":"דרום",
   "SPREAD_OUT":"פרוס",
   "STRAIGHT":"ישר",
   "THREE_BENDS_ORTHOGONAL":"אורתוגונלי בעל שלושה עיקולים",
   "TILE_TO_COLUMNS":"פרישה לעמודות",
   "TILE_TO_GRID_FIXED_HEIGHT":"פרישה לגובה קבוע של רשת",
   "TILE_TO_GRID_FIXED_WIDTH":"פרישה לרוחב קבוע של רשת",
   "TILE_TO_ROWS":"פרישה לשורות",
   "TIP_LEAVES_OVER":"הפיכת עלים",
   "TIP_OVER_BOTH_SIDES":"הפיכת שני הצדדים",
   "TIP_OVER_EAST_WEST":"הפיכת מזרח מערב",
   "TIP_OVER_WEST":"הפיכת מערב",
   "TIP_OVER":"הפיכה",
   "TIP_ROOTS_AND_LEAVES_OVER":"הפיכת יסודות ועלים",
   "TIP_ROOTS_OVER":"הפיכת יסודות",
   "TOP":"קצה עליון",
   "TWO_BENDS_ORTHOGONAL":"אורתוגונלי בעל שני עיקולים",
   "WEST":"מערב",
   "EXPORT":"יצוא",
   "EXPORT_IMAGE_DIALOG_TITLE":"יצוא בתור תמונה",
   "EXPORT_IMAGE_DIALOG_QUESTION":"האם ברצונכם לייצא את הדיאגרמה בתור תמונה? בחרו בתבנית הרצויה להלן.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"חיפוש מתקדם",
   "RESOURCES_COUNT": "משאבים: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "יחסי גומלין: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "סוננו: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "נבחרו: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"הכל",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"התאמת פריסה: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"שגיאה",
   "PENDING":"בהמתנה",
   "CLOSE":"סגירה"
});

