/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/ja/resources", {      
   "SEARCH_TEXT":"検索",
   "SAVE_TEXT":"カスタマイズの保存",
   "PRINT_TEXT":"印刷",
   "SELECT_TEXT":"選択",
   "PAN_TEXT":"パン",
   "ZOOM_SELECT_TEXT":"ズーム選択",
   "ZOOM_IN_TEXT":"ズームイン",
   "ZOOM_OUT_TEXT":"ズームアウト",
   "FIT_CONTENTS_TEXT":"コンテンツを適合させる",
   "REFRESH_TEXT":"リフレッシュ",
   "TOGGLE_LAYOUT_TEXT":"レイアウトの切り替え",
   "TREE_LAYOUT":"ツリー",
   "HIERARCHICAL_LAYOUT":"階層",
   "FORCE_DIRECTED_LAYOUT":"強制送信済み",
   "GRID_LAYOUT":"グリッド",
   "SHORT_LINK_LAYOUT":"ショート・リンク",
   "LONG_LINK_LAYOUT":"ロング・リンク",
   "CUSTOM":"カスタム",
   "SAVE":"カスタマイズの保存",
   "CANCEL":"キャンセル",
   "RESTORE_DEFAULTS":"デフォルトの復元",
   "LAYOUT_MODE":"レイアウト・モード:",
   "FLOW_DIRECTION":"フローの向き:",
   "LINK_STYLE":"グローバル・リンク・スタイル:",
   "CONNECTOR_STYLE":"コネクター・スタイル:",
   "GLOBAL_ALIGNMENT":"グローバル位置合わせ:",
   "LEVEL_ALIGNMENT":"レベル位置合わせ:",	
   "LEVEL_JUSTIFICATION":"レベル位置調整:",
   "LEVELING_STRATEGY":"レベル付け戦略:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"グローバル水平位置合わせ:",
   "GLOBAL_VERTICAL_ALIGNMENT":"グローバル垂直位置合わせ:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"行または列あたりの最大ノード数:",
   "PREFERRED_LINKS_LENGTH":"優先リンクの長さ:",
   "LINK_STYLE":"リンク・スタイル:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"1 回の繰り返しに許可される最大移動数:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"許可される繰り返しの数:",
   "CONVERGENCE_THRESHOLD":"コンバージェンスしきい値:",
   "GLOBAL_LINK_STYLE":"グローバル・リンク・スタイル:",
   "GLOBAL_SELF_LINK_STYLE":"グローバル・セルフ・リンク・スタイル:",
   "GLOBAL_CONNECTOR_STYLE":"グローバル・コネクター・スタイル:",
   "LINK_OFFSET":"リンク・オフセット:",
   "MIN_FINAL_SEGMENT_LENGTH":"最終セグメントの最小長:",
   "VERTICAL_MIN_OFFSET":"垂直最小オフセット:",
   "HORIZONTAL_MIN_OFFSET":"水平最小オフセット:",
   "ASPECT_RATIO":"アスペクト比:",
   "ALGORITHM":"アルゴリズム:",
   "GENERAL":"一般",
   "PROPERTIES":"プロパティー",
   "OK":"OK",
   "TOPOLOGY_VIEW":"トポロジー・ビュー",
   "RESOURCE_VIEW":"リソース・ビュー",
   "RELATIONSHIP_VIEW":"関係・ビュー",
   "LINK_VIEW":"リンク・ビュー",
   "GET_ADOBE_FLASH_PLAYER":"Adobe Flash Player の入手",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"このコンテンツを表示するには、ご使用のシステムが<a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>システム要件</a>を満たしていること、および Adobe&reg; Flash&reg; Player のバージョン ${version} 以上がインストールされていることを確認してください。", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"なし",
   "ITEM_REMOVED_MESSAGE":"この項目はデータ・セットから除去されました。",
   "LINK_REMOVED_MESSAGE":"このリンクはデータ・セットから除去されました。",
   "RELATIONSHIP_REMOVED_MESSAGE":"この関係はデータ・セットから除去されました。",
   "ACTIONS":"アクション",
   "PRINT_AS_BITMAP":"ビットマップとして印刷:",	   
   "PAGE_COUNT":"幅または高さにおけるページの数:",	 
   "PAGE_COUNT_MAX":"最大印刷ページ数:",	  
   "PAGE_MARGIN":"ページ余白:",
   "TYPE":"タイプ",
   "SOURCEITEM":"開始:",
   "TARGETITEM":"終了:",
   "ITEM1":"項目 1",
   "ITEM2":"項目 2",
   "DATASET1":"データ・セット 1",
   "DATASET2":"データ・セット 2",
   "LOADING":"ロード中",
   "RESULTS_CLICK_TO_SELECT":"結果 - クリックして選択",
   "RESULTS":"結果",
   "NO_RESULTS_FOUND":"結果が見つかりません",
   "CENTER_IN_VIEW":"ビューでの中央揃え",
   "HIGHLIGHT":"強調表示",
   "CLEAR_SEARCH":"検索のクリア",
   "DEPTH":"深さ",
   "LAYOUT":"レイアウト",
   "ACTIONS":"アクション",
   "SAVE_CANVAS_CONTEXT":"カスタマイズの保存",
   "SAVE_CUSTOMIZATION_QUESTION":"カスタマイズをすべて保存しますか?",
   "TOGGLE_VIEW":"ビューの切り替え",
   "ALTERNATING_RADIAL":"交互に起こる放射状の構造",
   "AUTOMATIC":"自動",
   "BORDER_CENTER":"枠付き中央揃え",
   "BOTTOM":"下部",
   "CENTER":"中央",
   "CENTERED":"中央揃え済み",
   "DIRECT":"直接",
   "EAST":"東",
   "EVENLY_SPACED":"等間隔",
   "FAST_MULTILEVEL":"高速マルチレベル",
   "FIXED_OFFSET":"固定オフセット",
   "FREE":"フリー",
   "HIGHER_LEVELS":"より上位のレベル",
   "INCREMENTAL":"増分",
   "LEFT":"左",
   "LEVEL":"レベル",
   "LOWER_LEVELS":"より下位のレベル",
   "MIXED":"混合",
   "NO_RESHAPE":"再形状指定なし",
   "NON_INCREMENTAL":"非増分",
   "NORTH":"北",
   "OPTIMAL":"最適",
   "ORTHOGONAL":"直交",
   "POLYLINE":"折れ線",
   "RADIAL":"放射状",
   "RIGHT":"右",
   "SEMI_OPTIMAL":"準最適",
   "SOUTH":"南",
   "SPREAD_OUT":"展開",
   "STRAIGHT":"直線",
   "THREE_BENDS_ORTHOGONAL":"三ベンド直交",
   "TILE_TO_COLUMNS":"列に対するタイル表示",
   "TILE_TO_GRID_FIXED_HEIGHT":"グリッド固定の高さに対するタイル表示",
   "TILE_TO_GRID_FIXED_WIDTH":"グリッド固定の幅に対するタイル表示",
   "TILE_TO_ROWS":"行に対するタイル表示",
   "TIP_LEAVES_OVER":"リーフの反転",
   "TIP_OVER_BOTH_SIDES":"裏表に反転",
   "TIP_OVER_EAST_WEST":"東西に反転",
   "TIP_OVER_WEST":"西に反転",
   "TIP_OVER":"反転",
   "TIP_ROOTS_AND_LEAVES_OVER":"ルートおよびリーフの反転",
   "TIP_ROOTS_OVER":"ルートの反転",
   "TOP":"上部",
   "TWO_BENDS_ORTHOGONAL":"二ベンド直交",
   "WEST":"西",
   "EXPORT":"エクスポート",
   "EXPORT_IMAGE_DIALOG_TITLE":"イメージとしてエクスポート",
   "EXPORT_IMAGE_DIALOG_QUESTION":"図をイメージとしてエクスポートしますが? 以下のフォーマットから希望のフォーマットを選択してください。",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"拡張検索",
   "RESOURCES_COUNT": "リソース: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "関係: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "フィルター処理済み: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "選択済み: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"すべて",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"レイアウトのカスタマイズ: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"エラー",
   "PENDING":"保留",
   "CLOSE":"クローズ"
});

