/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/nl/resources", {      
   "SEARCH_TEXT":"Zoeken",
   "SAVE_TEXT":"Aanpassingen opslaan",
   "PRINT_TEXT":"Afdrukken",
   "SELECT_TEXT":"Selecteren ",
   "PAN_TEXT":"Horizontaal verschuiven",
   "ZOOM_SELECT_TEXT":"Zoomselectie",
   "ZOOM_IN_TEXT":"Inzoomen",
   "ZOOM_OUT_TEXT":"Uitzoomen",
   "FIT_CONTENTS_TEXT":"Inhoud passend maken",
   "REFRESH_TEXT":"Vernieuwen",
   "TOGGLE_LAYOUT_TEXT":"Opmaak afwisselen",
   "TREE_LAYOUT":"Structuur",
   "HIERARCHICAL_LAYOUT":"Hiërarchisch",
   "FORCE_DIRECTED_LAYOUT":"Force Directed",
   "GRID_LAYOUT":"Raster",
   "SHORT_LINK_LAYOUT":"Korte link",
   "LONG_LINK_LAYOUT":"Lange link",
   "CUSTOM":"Aangepast",
   "SAVE":"Aanpassingen opslaan",
   "CANCEL":"Annuleren",
   "RESTORE_DEFAULTS":"Standaardwaarden herstellen",
   "LAYOUT_MODE":"Opmaakmodus:",
   "FLOW_DIRECTION":"Stroomrichting:",
   "LINK_STYLE":"Algemene koppelingsstijl:",
   "CONNECTOR_STYLE":"Connectorstijl:",
   "GLOBAL_ALIGNMENT":"Algemene uitlijning:",
   "LEVEL_ALIGNMENT":"Niveau-uitlijning",	
   "LEVEL_JUSTIFICATION":"Niveau-uitvulling",
   "LEVELING_STRATEGY":"Niveaustrategie:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Algemene horizontale uitlijning:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Algemene verticale uitlijning:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Maximumaantal knooppunten per rij of kolom:",
   "PREFERRED_LINKS_LENGTH":"Favoriete lengte koppelingen:",
   "LINK_STYLE":"Koppelingsstijl:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Maximumaantal toegestane verplaatsingen per herhaling:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Toegestane aantal herhalingen:",
   "CONVERGENCE_THRESHOLD":"Convergentiedrempel:",
   "GLOBAL_LINK_STYLE":"Algemene koppelingsstijl:",
   "GLOBAL_SELF_LINK_STYLE":"Algemene zelfkoppelingsstijl:",
   "GLOBAL_CONNECTOR_STYLE":"Algemene connectorstijl:",
   "LINK_OFFSET":"Koppelings-offset:",
   "MIN_FINAL_SEGMENT_LENGTH":"Minimumlengte laatste segment:",
   "VERTICAL_MIN_OFFSET":"Minimale verticale offset:",
   "HORIZONTAL_MIN_OFFSET":"Minimale horizontale offset:",
   "ASPECT_RATIO":"Breedte-hoogteverhouding:",
   "ALGORITHM":"Algoritme:",
   "GENERAL":"Algemeen",
   "PROPERTIES":"Eigenschappen",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Topologieview",
   "RESOURCE_VIEW":"Resourceview",
   "RELATIONSHIP_VIEW":"Relatieview",
   "LINK_VIEW":"Koppelingsview",
   "GET_ADOBE_FLASH_PLAYER":"Adobe Flash player ophalen",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Om deze inhoud te bekijken, zorgt u ervoor dat uw systeem voldoet aan de <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>systeemvereisten</a> en dat Adobe&reg; Flash&reg; Player-versie ${version} of hoger is geïnstalleerd.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Geen",
   "ITEM_REMOVED_MESSAGE":"Dit item is verwijderd uit de gegevensset.",
   "LINK_REMOVED_MESSAGE":"Deze koppeling is verwijderd uit de gegevensset.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Deze relatie is verwijderd uit de gegevensset.",
   "ACTIONS":"Acties",
   "PRINT_AS_BITMAP":"Afdrukken als bitmap:",	   
   "PAGE_COUNT":"Aantal pagina's in breedte of hoogte:",	 
   "PAGE_COUNT_MAX":"Maximumaantal af te drukken pagina's:",	  
   "PAGE_MARGIN":"Paginakantlijn:",
   "TYPE":"Type",
   "SOURCEITEM":"Van",
   "TARGETITEM":"Naar",
   "ITEM1":"Item 1",
   "ITEM2":"Item 2",
   "DATASET1":"Gegevensset 1",
   "DATASET2":"Gegevensset 2",
   "LOADING":"Bezig met laden",
   "RESULTS_CLICK_TO_SELECT":"Resultaten - Klik om te selecteren",
   "RESULTS":"Resultaten",
   "NO_RESULTS_FOUND":"Geen resultaten gevonden",
   "CENTER_IN_VIEW":"Centreren in view",
   "HIGHLIGHT":"Accentueren",
   "CLEAR_SEARCH":"Zoekopdracht leegmaken",
   "DEPTH":"Diepte",
   "LAYOUT":"Layout",
   "ACTIONS":"Acties",
   "SAVE_CANVAS_CONTEXT":"Aanpassingen opslaan",
   "SAVE_CUSTOMIZATION_QUESTION":"Weet u zeker dat u alle aanpassingen wilt opslaan?",
   "TOGGLE_VIEW":"View afwisselen",
   "ALTERNATING_RADIAL":"alternerende radiaal",
   "AUTOMATIC":"automatisch",
   "BORDER_CENTER":"kader centreren",
   "BOTTOM":"onderaan",
   "CENTER":"centreren",
   "CENTERED":"gecentreerd",
   "DIRECT":"direct",
   "EAST":"oost",
   "EVENLY_SPACED":"gelijkmatig ingedeeld",
   "FAST_MULTILEVEL":"snelle multi-level",
   "FIXED_OFFSET":"vaste offset",
   "FREE":"vrij",
   "HIGHER_LEVELS":"hogere niveaus",
   "INCREMENTAL":"incrementeel",
   "LEFT":"links",
   "LEVEL":"niveau",
   "LOWER_LEVELS":"lagere niveaus",
   "MIXED":"gemengd",
   "NO_RESHAPE":"niet opnieuw indelen",
   "NON_INCREMENTAL":"niet incrementeel",
   "NORTH":"noord",
   "OPTIMAL":"optimaal",
   "ORTHOGONAL":"orthogonaal",
   "POLYLINE":"polylijn",
   "RADIAL":"radiaal",
   "RIGHT":"rechts",
   "SEMI_OPTIMAL":"semi-optimaal",
   "SOUTH":"zuid",
   "SPREAD_OUT":"verspreiden",
   "STRAIGHT":"recht",
   "THREE_BENDS_ORTHOGONAL":"drie bochten orthogonaal",
   "TILE_TO_COLUMNS":"naast elkaar in kolommen",
   "TILE_TO_GRID_FIXED_HEIGHT":"naast elkaar met vaste rasterhoogte",
   "TILE_TO_GRID_FIXED_WIDTH":"naast elkaar met vaste rasterbreedte",
   "TILE_TO_ROWS":"naast elkaar in rijen",
   "TIP_LEAVES_OVER":"eindpunten omkantelen",
   "TIP_OVER_BOTH_SIDES":"beide zijden omkantelen",
   "TIP_OVER_EAST_WEST":"oost-west omkantelen",
   "TIP_OVER_WEST":"west omkantelen",
   "TIP_OVER":"omkantelen",
   "TIP_ROOTS_AND_LEAVES_OVER":"roots en eindpunten omkantelen",
   "TIP_ROOTS_OVER":"roots omkantelen",
   "TOP":"bovenaan",
   "TWO_BENDS_ORTHOGONAL":"twee bochten orthogonaal",
   "WEST":"west",
   "EXPORT":"Exporteren",
   "EXPORT_IMAGE_DIALOG_TITLE":"Exporteren als afbeelding",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Wilt u het diagram exporteren als een afbeelding? Kies hieronder de gewenste indeling.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Uitgebreid zoeken",
   "RESOURCES_COUNT": "Resources: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Relaties: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Gefilterd: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Geselecteerd: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Alle",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Layout aanpassen: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Fout",
   "PENDING":"In behandeling",
   "CLOSE":"Sluiten"
});

