require({cache:{
'url:ibm/usmi/activealerts/templates/ActiveAlerts.html':"<div class=\"${baseClass} interiorSpacious\">\r\n<!--\r\n\r\nLicensed Materials - Property of IBM\r\n\r\n(C) Copyright IBM Corp. 2012 All Rights Reserved\r\n\r\nUS Government Users Restricted Rights - Use, duplicate or\r\ndisclosure restricted by GSA ADP Schedule Contract with\r\nIBM Corp.\r\n\r\n-->\r\n\t<!-- Create filter store to use for the filter widget -->\r\n\t<span data-dojo-type=\"dojo/store/Memory\"\r\n\t\tdata-dojo-id=\"filterStore\" data-dojo-attach-point=\"filterStore\"\r\n\t\tdata-dojo-props=\"data: [{id: 'allAlerts', label: '${nls.allAlerts}'}, \r\n\t\t{id: 'problems', label: '${nls.problems}'},\r\n\t\t{id: 'nonCompliances', label: '${nls.nonCompliances}'}]\">\r\n\t</span>\r\n\t<!-- Create and place the Alerts Toggle Button widgets-->\r\n\t<div style=\"margin-left: 20px; margin-bottom: 10px;\">\r\n\t\t<button iconClass=\"dijitCheckBoxIcon\"\r\n\t\t\tdata-dojo-type=\"dijit/form/ToggleButton\"\r\n\t\t\tdata-dojo-attach-event=\"onClick: toggleActiveAlerts\"\r\n\t\t\tdata-dojo-props=\"\r\n\t\t\tid : 'activeAlertsToggleButton',\r\n\t\t\tchecked : true,\r\n\t\t\tlabel: this.nls.activeAlertsToggleButton\"></button>\r\n\t\t<button iconClass=\"dijitCheckBoxIcon\"\r\n\t\t\tdata-dojo-type=\"dijit/form/ToggleButton\"\r\n\t\t\tdata-dojo-attach-event=\"onClick: toggleIgnoredAlerts\"\r\n\t\t\tdata-dojo-props=\"\r\n\t\t\tid : 'ignoredAlertsToggleButton',\r\n\t\t\tchecked : false,\r\n\t\t\tlabel: this.nls.ignoredAlertsToggleButton\"></button>\r\n\t\t<!-- Alert Filter widget  -->\r\n\t\t<span style=\"margin-right: 20px; float: right\"> ${nls.alertFilter} <input\r\n\t\t\tdata-dojo-type=\"dijit/form/FilteringSelect\"\r\n\t\t\tdata-dojo-attach-point=\"filter\"\r\n\t\t\tdata-dojo-attach-event=\"onChange: filterChange\"\r\n\t\t\tdata-dojo-props=\"\r\n\t\t\t\t\t\tid : 'alertFilterSelect',\r\n\t\t\t\t\t\tregion : 'top',\r\n\t\t\t\t\t\tstore : filterStore,\r\n\t\t\t\t\t\tsearchAttr : 'label'\"\r\n\t\t\tvalue=\"${defaultAlertFilter}\" name=\"filter\" id=\"alertFilterSelect\">\r\n\t\t</span>\r\n\t</div>\r\n\t<!-- Create and place the Active Alerts Table widget -->\r\n\t<div data-dojo-type=\"ibm/usmi/widgets/table/DefaultItemsTableView\"\r\n\t\tdata-dojo-attach-point=\"table\"\r\n\t\tdata-dojo-attach-event=\"onSelectionChanged: selectionHasChanged\"\r\n\t\tdata-dojo-props=\"\r\n\t\t\tid : 'activeAlertsTableView',\r\n\t\t\tcmProvider : this.getCMProvider(),\r\n\t\t\tdaHelper : this.getDAHelper(),\r\n\t\t\tshowPropertiesInContextMenu: true\"\r\n\t\tstyle=\"margin-left: 20px; margin-right: 20px; height: 85%\"></div>\r\n\t<div data-dojo-type=\"ibm/usmi/widgets/table/DefaultItemsTableView\"\r\n\t\tdata-dojo-attach-point=\"table2\"\r\n\t\tdata-dojo-attach-event=\"onSelectionChanged: selectionHasChanged\"\r\n\t\tdata-dojo-props=\"\r\n\t\t\tid : 'activeIgnoredAlertsTableView',\r\n\t\t\tdaHelper : this.getDAHelper(),\r\n\t\t\tcmProvider : this.getCMProvider(),\r\n\t\t\tshowPropertiesInContextMenu: true\"\r\n\t\tstyle=\"display:none; margin-left: 20px; margin-right: 20px; height: 85%\"></div>\r\n</div>\r\n"}});
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/activealerts/ActiveAlerts", [
	"dojo/_base/declare",
	"dojo/_base/connect",
	"dojo/_base/lang",
	"dojo/dom",
	"dojo/hash",
	"dojo/store/Memory",
	"dijit/registry",
	"dijit/_WidgetBase",
	"dijit/_TemplatedMixin",
	"dijit/_WidgetsInTemplateMixin",
	"dojo/text!./templates/ActiveAlerts.html",
	"dojo/i18n!./nls/ActiveAlertsResources",
	"ibm/usmi/core/utils/Logger",
	"ibm/usmi/util/BaseWidget",
	"ibm/usmi/util/DefaultMessageHandler",
	"ibm/usmi/widgets/table/DefaultItemsTableView",
	"ibm/usmi/widgets/util/Constants",
	"ibm/usmi/widgets/util/DefaultMenuProviderHelper",
	"ibm/usmi/widgets/util/DefaultContextMenuProvider",
	"ibm/usmi/util/DefaultTableDAHelper",
	"ibm/tivoli/navmodel/Dataset"
], function (declare, connect, lang, dom, hash, Memory, registry, _WidgetBase, _TemplatedMixin,
		_WidgetsInTemplateMixin, template, ActiveAlertsResources, Logger, BaseWidget, DefaultMessageHandler,
		DefaultItemsTableView, Constants, DefaultMenuProviderHelper, DefaultContextMenuProvider, DefaultTableDAHelper, Dataset) {
	return declare([
		_WidgetBase,
		_TemplatedMixin,
		_WidgetsInTemplateMixin,
		BaseWidget
	], {

		baseClass : "activealerts",
		templateString : template,
		nls : ActiveAlertsResources,

		defaultAlertFilter : "allAlerts",

		dataset : null,
		
		// the hash parameters
		_SOURCE_TOKEN : "sourceToken",
		_ALERT_FILTER : "alertFilter",
		_TASK_SELECTION : "taskSelection",

		sourceToken : null,
		alertFilter : null,
		taskSelection : null,

		category : null,
		severityMin : null,
		severityMax : null,

		subscriptions : null,
		cmProvider : null,
		defaultActionHelper : null,
		
		_ActiveAlertsLogger : null,
		_isActiveStatus : null,

		constructor : function (args) {
			declare.safeMixin(this, args);

			// create the logger
			this._ActiveAlertsLogger = new Logger("ibm.usmi.activealerts", "ActiveAlerts");

			this.subscriptions = [];

			// grab the values from the hash if available
			this.sourceToken = this.getUrlHashParm(this._SOURCE_TOKEN);
			this.taskSelection = this.getUrlHashParm(this._TASK_SELECTION);

			var alertFilterValue = this.getUrlHashParm(this._ALERT_FILTER);
			if (alertFilterValue) {
				this.setParametersFromHash(alertFilterValue);
			} else {
				this.alertFilter = this.defaultAlertFilter;
			}

			if (this._ActiveAlertsLogger.isFinest()) {
				this._ActiveAlertsLogger.exiting("Active Alerts is constructed", "constructor");
			}

		},

		postCreate : function () {
			this.inherited(arguments);

			this._isActiveStatus = true;
			this.get("filter").set('value', this.alertFilter);
			this.makeDataset();
			this.subscriptions.push(connect.subscribe(Constants.TOPIC_HASH_CHANGE, this, this.hashChange));
			this.subscriptions.push(connect.subscribe(Constants.TOPIC_RETARGET_INFO, this, this.removeHashParameters));
			//hash(this.updateUrlHash(this._ALERT_FILTER, this.alertFilter));
			//only update the title if running non-targeted
			if (!this.sourceToken) {
				connect.publish("updateTitle", [ {
					resource : this.nls.preloadResource,
					view : this.nls.preloadView,
					loading : false
				}
				]);
			}
			if (this._ActiveAlertsLogger.isFinest()) {
				this._ActiveAlertsLogger.exiting("", "postCreate");
			}
		},

		// Gets the Context Menu Provider
		getCMProvider : function () {
			var helper = new DefaultMenuProviderHelper();
			this.cmProvider = new DefaultContextMenuProvider({
				view : this,
				getMenuItemsCallback : lang.hitch(helper, helper.getMenuItems),
				getMenuCommandCallback : lang.hitch(helper, helper.getMenuCommand)
			});

			if (this._ActiveAlertsLogger.isFinest()) {
				this._ActiveAlertsLogger.exiting("", "getCMProvider");
			}
			return this.cmProvider;
		},

		getDAHelper : function () {
			this.defaultActionHelper = new DefaultTableDAHelper();
			return this.defaultActionHelper ;
		},
		//Create the dataset for the table
		makeDataset : function () {
			if (this._ActiveAlertsLogger.isFine()) {
				this._ActiveAlertsLogger.fine("Creating a dataset with a source token (" + this.sourceToken
						+ ") and alert filter (" + this.alertFilter + ")", "makeDataset");
			}

			if (this.dataset) {
				this.dataset.destroy(); //destroy old dataset
			}
			
			var collection;
			var columns;
			var tableId;
			if (this._isActiveStatus) {
				collection = "ACTIVE_ALERTS";
				tableId = 'activeAlertsTableView';
				columns: [
					"CatName",
					"DateTime",
					"Details",
					"MCNAME",
					"Membername",
					"SetName",
					"Severity"
				];
			} else {
				collection = "IGNORED_ALERTS";
				tableId = 'activeIgnoredAlertsTableView';
				columns: [
					"CatName",
					"MCNAME",
					"Membername",
					"SetName",
					"Severity"
				];
			}

				// parameters to be passed, only pass in parameters that have values, otherwise
				// different keys are passed down to NavCollection on create vs getTasks, which causes
				// a new collection to be created
				var parmsObj = this.buildParmsObject();
				
				// build up parmsObject
				this.dataset = new Dataset({
				// set the dataset onto the table
				onComplete : function (dataset, kwArgs) {
					registry.byId(tableId).setDataset(dataset);
				},
				onError : function (error, exception, ioArgs) {
					var msgHandler = new DefaultMessageHandler({});
					msgHandler.displayException(exception);
				},
				// Use active alerts dataset
				baseUrl : "/ibm/tivoli/rest",
				provider : "USMI",
				datasource : "",
				dataset : collection,
				parameters : parmsObj,
				defaultProperties : columns
			});
			if (this._ActiveAlertsLogger.isFinest()) {
				this._ActiveAlertsLogger.exiting("", "makeDataset");
			}
		},
		
		buildParmsObject : function () {
			var parms = {};
			if(this.sourceToken) {
				parms["sourceToken"] = this.sourceToken;				
			}
			if(this.category) {
				parms["CATEGORY"] = this.category;				
			}
			if(this.severityMin) {
				parms["SEVERITYMIN"] = this.severityMin;				
			}
			if(this.severityMax) {
				parms["SEVERITYMAX"] = this.severityMax;				
			}	
			return parms;
		},
		
		toggleActiveAlerts : function (evt) {
			if (this._ActiveAlertsLogger.isFiner()) {
				this._ActiveAlertsLogger.finer("Switching to Active Alerts", "toggleActiveAlerts");
			}
			this._isActiveStatus = true;
			registry.byId("activeAlertsToggleButton").set("checked", true);
			registry.byId("ignoredAlertsToggleButton").set("checked", false);
			registry.byId("activeAlertsTableView").containerNode.style.display = 'inline';
			registry.byId("activeIgnoredAlertsTableView").containerNode.style.display = 'none';
			this.makeDataset();
			registry.byId("activeAlertsTableView").refresh();
		},

		toggleIgnoredAlerts : function (evt) {
			if (this._ActiveAlertsLogger.isFiner()) {
				this._ActiveAlertsLogger.finer("Switching to Ignored Alerts", "toggleIgnoredAlerts");
			}
			this._isActiveStatus = false;
			registry.byId("activeAlertsToggleButton").set("checked", false);
			registry.byId("ignoredAlertsToggleButton").set("checked", true);
			registry.byId("activeAlertsTableView").containerNode.style.display = 'none';
			registry.byId("activeIgnoredAlertsTableView").containerNode.style.display = 'inline';
			this.makeDataset();
			registry.byId("activeIgnoredAlertsTableView").refresh();
		},

		//update the hash with the new filter value
		filterChange : function (evt) {
			/*
			//recreate the dataset with the new filter
			this.makeDataset();

			//refresh the table with the new dataset
			registry.byId("activeAlertsTableView").refresh();
			*/

			hash(this.updateUrlHash(this._ALERT_FILTER, this.get("filter").value));
		},

		hashChange : function (hash) {
			if (this._ActiveAlertsLogger.isFine()) {
				this._ActiveAlertsLogger.fine("The hash has changed to: " + hash, "hashChange");
			}
			var taskSelectionValue = this.getUrlHashParm(this._TASK_SELECTION);
			if (taskSelectionValue === this.taskSelection) {
				var alertFilterValue = this.getUrlHashParm(this._ALERT_FILTER);
				if (alertFilterValue !== this.alertFilter) {
					if (this._ActiveAlertsLogger.isFiner()) {
						this._ActiveAlertsLogger.finer("Hash handler: updating alert filter from " + this.alertFilter
								+ " to " + alertFilterValue + ".", "hashChange");
					}
					//update the member variables
					this.setParametersFromHash(alertFilterValue);
					//set the filter dropdown value
					//this may just be setting it to the same value again, but who cares
					this.get("filter").set('value', alertFilterValue);
					//recreate the dataset
					this.makeDataset();
					registry.byId("activeAlertsTableView").refresh();
				}
			} else {
				if (this._ActiveAlertsLogger.isFine()) {
					this._ActiveAlertsLogger.fine("The task selection (" + taskSelectionValue
							+ ") doesn't match the current task (" + this.taskSelection + ").  Ignoring hash change.",
							"hashChange");
				}
			}
		},

		setParametersFromHash : function (value) {
			this.alertFilter = value;
			switch (value) {
			case "allAlerts":
				this.category = null;
				this.severityMin = null;
				this.severityMax = null;
				break;
			case "problems":
				//workAreaDijit=ibm/usmi/activealerts/ActiveAlerts&CATEGORY=Problems&SEVERITYMIN=0&SEVERITYMAX=4&forceRefresh=true
				this.category = "Problems";
				this.severityMin = "0";
				this.severityMax = "4";
				break;
			case "nonCompliances":
				//workAreaDijit=ibm/usmi/activealerts/ActiveAlerts&CATEGORY=ComplianceStatusCategory&forceRefresh=true'
				this.category = "ComplianceStatusCategory";
				this.severityMin = null;
				this.severityMax = null;
				break;
			default:
				break;
			}
		},

		//remove our hash values
		removeHashParameters : function (evt) {
			var taskSelectionValue = this.getUrlHashParm(this._TASK_SELECTION);
			if (taskSelectionValue !== this.taskSelection) {
				if (this._ActiveAlertsLogger.isFine()) {
					this._ActiveAlertsLogger.fine("Removing our hash parameters", "removeHashParameters");
				}
				//update hash
				hash(this.updateUrlHash(this._ALERT_FILTER, null));
			}
		},

		//selection changed callback
		selectionHasChanged : function (selection) {
			if (this._ActiveAlertsLogger.isFiner()) {
				this._ActiveAlertsLogger.finer("SELECTION CHANGED!! selection = " + selection.getItemIds(),
						"selectionHasChanged");
			}
		},

		//Destroy the topology canvas (largely so server will get notified to clean itself up)
		destroy : function () {
			if (this.subscriptions) {
				var i = 0;
				for (; i < this.subscriptions.length; i++) {
					this.subscriptions[i].remove();
				}
				this.subscriptions = null;
			}

			if (this.dataset) {
				this.dataset.destroy();
			}
			
			if (registry.byId("activeAlertsTableView")) {
				registry.byId("activeAlertsTableView").destroy();
			}
			if (registry.byId("activeIgnoredAlertsTableView")) {
				registry.byId("activeIgnoredAlertsTableView").destroy();
			}
			this.inherited(arguments);
		},

		destroyRecursive : function () {
			this.inherited(arguments);
		}
	});
});
