/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/es/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "Buscar un sistema o una tarea",
	ContextFinderInitialText : "Buscar una tarea para ",
	ContextFinderTaskMenuFor : "Tareas para ",
	NoMatchesFound : "(no se han encontrado coincidencias)",
	Close : "Cerrar diálogo.",
	RefreshCache : "Se ha renovado {0} hace {1}. Renueve para incluir los recursos recién añadidos/modificados en los resultados.",
	Minutes : "minuto(s)",
	Hours : "hora(s)",
	Days : "día(s)",
	Searching0 : "Buscando.",
	Searching1 : "Buscando..",
	Searching2 : "Buscando...",
	MoreTasks : "Refinar los términos de búsqueda para obtener más resultados.",
	MoreResources : "Mostrar todo.",
	MoreGroups : "Refinar los términos de búsqueda para obtener más resultados.",
	FinderTaskMenu : "Tareas",
	FinderResourceMenu : "Recursos",
	FinderGroupMenu : "Grupos",
	Chassis : "Chasis",
	Resources : "Recursos",
	FinderTooltipHelp : "Utilice este buscador incorporado para buscar todas las tareas y recursos gestionados.",
	ContextFinderTooltipHelp : "Utilice este buscador incorporado para buscar en el contexto todas las tareas que se pueden iniciar para la selección actual",
	//Finder Resources END

	//Mega Menu Resources BEGIN
	DeployImages : "Desplegar imágenes de nodo Compute",
	Global : "Global",
	Dashboards : "Paneles de instrumentos",
	GettingStarted : "Cómo empezar",
	InitialSetup : "Configuración inicial",
	SystemDashboard : "Panel de instrumentos de sistema",
	ChassisMap : "Correlación de chasis",
	Status : "Estado",
	EventHistory : "Historial de sucesos",
	ActiveStatus : "Estado activo",
	Thresholds : "Umbrales",
	ServiceAndSupport : "Servicio y soporte",
	Updates : "Actualizaciones",
	Firmware : "Firmware",
	OSUpdates : "Actualizaciones de sistema operativo",
	ActiveAndScheduledJobs : "Trabajos activos y planificados",
	CheckForUpdates : "Comprobar si hay actualizaciones",
	Systems : "Sistemas",
	AllGroups : "Todos los grupos",
	MyFavorites : "Mis favoritos",
	ProdSystems : "Sistemas Prod",
	xSystems : "Sistemas x",
	TestSystems : "Sistemas de prueba",
	AllSystems : "Todos los sistemas",
	Servers : "Servidores",
	ChassisAndMembers : "Chasis y miembros",
	AllOperatingSystems : "Todos los sistemas operativos",
	StorageAndNetwork : "Almacenamiento y red",
	StorageSystems : "Sistemas de almacenamiento",
	NetworkSystems : "Sistemas de red",
	Configuration : "Configuración",
	Plans : "Planes",
	Templates : "Plantillas",
	SystemProfiles : "Perfiles del sistema",
	DiscoverNewSystems : "Descubrir sistemas nuevos",
	CollectInventory : "Recopilar inventario",
	Virtual : "Virtual",
	Hosts : "Hosts",
	VirtualServers : "Servidores virtuales",
	Images : "Imágenes",
	VirtualAppliances : "Dispositivos virtuales",
	Workloads : "Cargas de trabajo",
	Repositories : "Repositorios",
	SystemPools : "Agrupaciones de sistemas",
	Server : "Servidor",
	Storage : "Almacenamiento",
	Network : "Red",
	DeployVirtualAppliance : "Desplegar dispositivo virtual",
	Monitor : "Supervisión",
	RealTimeMonitors : "Supervisores en tiempo real",
	OperatingSystems : "Sistemas operativos",
	Hardware : "Hardware",
	Energy : "Energía",
	Compliance : "Conformidad",
	MonitoredSystems : "Sistemas supervisados",
	Policies : "Políticas",
	Automation : "Automatización",
	Actions : "Acciones",
	EventFilters : "Filtros de sucesos",
	CommandDefinitions : "Definiciones de mandatos",
	CreateAutomationPlan : "Crear plan de automatización",
	Security : "Seguridad",
	Permissions : "Permisos",
	UsersAndGroups : "Usuarios y grupos",
	Roles : "Roles",
	Credentials : "Credenciales",
	Access : "Acceso",
	SystemsWithNoAccess : "Sistemas sin acceso",
	Auditing : "Auditoría",
	AuditLog : "Registro de auditoría",
	ChangePassword : "Cambiar contraseña",
	CreateUser : "Crear usuario",
	Utilities : "Servicios",
	Settings : "Valores",
	AutoRename : "Redenominación automática",
	ServiceandSupport : "Servicio y soporte",
	Administration : "Administración ",
	Appliance : "Dispositivo",
	Plugins : "Plug-ins",
	ApplicationExtensions : "Extensiones de aplicación",
	UserPreferences : "Preferencias del usuario",
	Navigation : "Navegación",
	EventLog : "Registro de sucesos",
	ManagementServer : "Servidor de gestión",
	NetworkManagement : "Gestión de red",
	Advanced : "Avanzado",
	BackupAppliance : "Dispositivo de copia de seguridad",
	HelpMenu : "Ayuda",
	Help : "Ayuda",
	IBMFlexSystemManagerOverview : "Visión general de IBM Flex System Manager",
	InitialSetup : "Configuración inicial",
	TourOfTheFlexSystemManagerUserInterface : "Visita de la interfaz de usuario de Flex System Manager",
	UserAndPasswordManagement : "Gestión de usuarios y contraseñas",
	ComputeNodeManagement : "Gestión de nodo Compute",
	ResourceManagement : "Gestión de recursos",
	ServiceAndSupportManagement : "Gestión de servicios y soporte",
	QuickStartGuides : "Guías de inicio rápido",
	FSMLearning : "Aprendizaje de FSM",
	GeneralHelp : "Ayuda general"
});

