/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/ja/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "システムまたはタスクの検索",
	NoTasksFound : "(タスクが見つかりません)",
	NoGroupsFound : "(グループが見つかりません)",
	NoResourcesFound : "(リソースが見つかりません)",
	Close : "ダイアログを閉じます。",
	RefreshCache : "前回の最新表示は {0} {1} 前です。新たに追加または変更されたリソースを結果に含めるには、最新表示してください。",
	Minutes : "分",
	Hours : "時間",
	Days : "日",
	Searching0 : "検索中。",
	Searching1 : "検索中..",
	Searching2 : "検索中...",
	FinderRefreshing : "最新表示しています...",
	MoreTasks : "さらに結果を得るには、検索語を絞り込んでください。",
	MoreResources : "すべて表示します。",
	MoreGroups : "さらに結果を得るには、検索語を絞り込んでください。",
	FinderTaskMenu : "タスク",
	FinderResourceMenu : "リソース",
	FinderGroupMenu : "グループ",
	Chassis : "シャーシ",
	Resources : "リソース",
	FinderTooltipHelp : "このインライン・ファインダーは、すべてのタスクおよび管理対象リソースを検索するために使用します。",
	//tooltip
	FinderTooltipClickResources : "このリソースをクリックして詳細を表示します。",
	FinderTooltipClickTask : "ここをクリックすると、新規ブラウザー・ウィンドウが開き、このタスクが起動されます。",
	FinderTooltipClickJob : "ここをクリックして、このジョブをスケジュールします。",
	FinderTooltipClickUrl : "ここをクリックすると、新規ブラウザー・ウィンドウが開き、この URL がロードされます。",
	FinderTooltipClickPage : "ここをクリックして、このページを開きます。",
	FinderTooltipClickGroup : "このグループをクリックして、そのメンバーを表示します。",
	FinderTooltipEntryType : "{0}: ",
	FinderTooltipCategory : "カテゴリー: ",
	FinderTooltipExternalTask : "外部タスク: ",
	FinderTooltipJob : "ジョブ: ",
	FinderTooltipUrl : "URL: ",
	FinderTooltipPage : "ページ: ",

	//Finder Resources END

	// Mega Menu Resources BEGIN
	Home : "ホーム",
	Dashboards : "ダッシュボード",
	GettingStarted : "始めに",
	InitialSetup : "初期セットアップ",
	FlexExplorer : "Flex エクスプローラー",
	QuickStartGuides : "クイック・スタート・ガイド",
	SummaryPages : "サマリー・ページ",
	VMControl : "VMControl",
	StorageControl : "Storage Control",
	NetworkControl : "Network Control",
	ServiceAndSupport : "サービスおよびサポート",
	CheckForUpdates : "IBM&reg; FSM - 更新の検査",
	Systems : "システム",
	SystemsMenuHeading : "システム",
	AllGroups : "すべてのグループ",
	AllOSs : "すべての OS",
	PowerSystemsManagement : "Power Systems 管理",
	Configuration : "構成",
	Patterns : "パターン",
	Firmware : "ファームウェア",
	ShowUpdates : "更新の表示",
	Discover : "検出",
	DeployComputeNodeImages : "サーバー・イメージのデプロイ",
	DeployVirtualAppliance : "仮想アプライアンスのデプロイ",
	Monitor : "モニター",
	Status : "状況",
	ActiveStatus : "アクティブ状況",
	EventHistory : "イベント・ログ",
	ServiceProblems : "サービス問題",
	Monitoring : "モニター",
	Monitors : "モニター",
	Thresholds : "しきい値",
	Compliance : "コンプライアンス",
	MonitoredSystems : "モニター対象システム",
	Policies : "ポリシー",
	Automation : "自動化",
	Plans : "プラン",
	Actions : "アクション",
	EventFilters : "イベント・フィルター",
	CommandDefinitions : "コマンド定義",
	Jobs : "ジョブ",
	ActiveAndScheduledJobs : "アクティブ・ジョブおよびスケジュール・ジョブ",
	CreateAutomationPlan : "自動化プランの作成",
	Security : "セキュリティー",
	Permissions : "アクセス許可",
	UsersAndGroups : "ユーザーおよびグループ",
	Roles : "役割",
	Credentials : "信用証明情報",
	Access : "アクセス",
	SystemsWithNoAccess : "アクセス権限のないシステム",
	Auditing : "監査",
	AuditLog : "監査ログ",
	ChangePassword : "パスワードの変更",
	CreateUser : "ユーザーの作成",
	Utilities : "ユーティリティー",
	Settings : "設定",
	AutoRename : "自動名前変更",
	ServiceandSupport : "サービスおよびサポート",
	ServerAuditing : "サーバー監査",
	Administration : "管理 ",
	FSMSettings : "IBM&reg; FSM 設定",
	Plugins : "プラグイン",
	ApplicationExtensions : "アプリケーション",
	UserPreferences : "ユーザー・プリファレンス",
	EventLog : "イベント・ログ",
	ManagementServer : "管理サーバー",
	NetworkManagement : "ネットワーク管理",
	BackupAppliance : "IBM&reg; FSM のバックアップ",
	HelpMenu : "ヘルプ",
	IntroductionToIBMFlexExplorer : "IBM&reg; FSM エクスプローラーの概要",
	FindingTasksInIBMFlexExplorer : "IBM&reg; FSM エクスプローラーでのタスクの検索",
	Help : "ヘルプ",
	About : "製品情報",
	IBMSupport : "IBM&reg; サポート",
	LiCTooltip : "{0} で開く",
	Signout : "サインアウト",

	//General dialog labels
	OK : "OK",
	CANCEL : "キャンセル",
	SUBMIT : "実行依頼",
        YES    : "はい",
        NO     : "いいえ",
	
	//Popup blocker warning
	PopupBlockerWarning : "このサイトに対してポップアップ・ブロッカーが有効になっています。このサイトに対してブラウザーのポップアップ・ブロッカーを無効にして、再試行してください。"

});

