/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define(
		"ibm/usmi/statuspod/JobStatusPodMenuItem", [
			"dojo/_base/declare",
			"./StatusPodMenuItem"
		],
		function (declare, StatusPodMenuItem) {
			return declare(
					[ StatusPodMenuItem
					],
					{
						onClick : function (/*Event*/) {
							var menuItemOnClickFunc = window["launchInContext"];
							//menuItemOnClickFunc('com.ibm.usmi.console.scheduler.navigationElement', this.objectId);
							var url = window.location.protocol
									+ '//'
									+ location.host
									+ '/ibm/console/xLaunch.do?pageID=com.ibm.usmi.console.scheduler.navigationElement&moduleRef=com.ibm.director.core.console.tasks&hideTaskArea=false&disableNavArea=false&hideBannerArea=false&hideTaskBarArea=false';
							url = url + '&DCMJobId=' + this.objectId;
							this._logger.finest("external launch url is:" + url, "onClick");
							menuItemOnClickFunc(null, null, url);
						}
					});
		});
