/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/statuspod/nls/statuspodResources", {
    root: {
	//Job Status Pod Resources BEGIN
	JobMenuBarItemLoadingLabel : "Jobs (loading)",
	JobMenuBarItemLabel : "Jobs ({0})",
	ViewAllJobsLabel : "View All Jobs",
	ErrorJobsTabTitle : "Errors({0})",
	ActiveJobsTabTitle : "Active({0})",
	CompletedJobsTabTitle : "Completed({0})",
	CompletedJobStatusSummaryTip : 'Showing {0} of {1} in last 24 hours',
	CommonJobStatusSummaryTip : "Showing {0} most recently updated of {1}",
	StartedLabel : "Started",
	StatusLabel : "Status",
	TaskLabel : "Task",
	ProgressLabel : "Progress",
	CreatedByLabel : "Created By",
	LastRunStatusLabel : "Last Run Status",
	LastRunLabel : "Last Run",
	NextRunLabel : "Next Run",
	DescriptionLabel : "Description",
	Name: "Name",
	JobPodRefreshing : "Jobs (refreshing)",
	//Job Status Pod Resources END
	//Problems/Compliance Status Pod Resources BEGIN
	StatusPodLoading : "Status (loading)",
	StatusPodRefreshing : "Status (refreshing)",
	StatusHeaderText : "There are ({0}) unique resources with status entries",
	StatusHeaderTextRefreshing : "Refreshing, please wait...",
	StatusShowing : "Showing",
	StatusUpdated : "most recently updated of",
	StatusViewAll : "All Resources with Problems",
	StatusViewAllStatus : "All Problems",
	StatusViewAllCompliance : "All Non-Compliances",
	StatusViewAllSystemWithCompliance : "All Resources with Non-Compliances",
	StatusProblems : "Problem Systems ({0})",
	StatusCompliance : "Non-Compliant Systems ({0})",
	StatusProblemsPlaceholder : "Problem Systems (0)",
	StatusCompliancePlaceholder : "Non-Compliant Systems (0)",
	StatusTipCategory : "Category: ",
	StatusTipDate : "Date received: ",
	Status : "Status ({0})",
	StatusShowingPartialPlaceholder : "Showing 0 of 0 resources",
	StatusShowingPartial : "Showing {0} of {1} resources",
	StatusShowingTipPartial:	"Showing {0} most severe of {1}"
//Problems/Compliance Status Pod Resources END

    },

    "de": true,
    "zh-tw": true,
    "ko": true,
    "ja": true,
    "en": true,
    "it": true,
    "pt-br": true,
    "fr": true,
    "zh-cn": true,
    "es": true
});