require({cache:{
'url:ibm/usmi/widgets/templates/DetailsSelector.html':"<div class=\"detailsSelector maxSize\">\r\n<!--\r\n\r\nLicensed Materials - Property of IBM\r\n\r\n(C) Copyright IBM Corp. 2012 All Rights Reserved\r\n\r\nUS Government Users Restricted Rights - Use, duplicate or\r\ndisclosure restricted by GSA ADP Schedule Contract with\r\nIBM Corp.\r\n\r\n-->\r\n\t<div id=\"detailsSelectorContentPane\" style=\"overflow-y: auto;width: 98%;height: 100%;\" class=\"detailsSelectorMain\" data-dojo-type=\"dijit.layout.ContentPane\">\r\n\t\t<!-- Top & Rounded Corners -->\r\n\t    <div class=\"detailsSelectorTop\">\r\n\t        <div class=\"detailsSelectorTopLeft\"></div>\r\n\t        <div class=\"detailsSelectorTopCenter\"></div>\r\n\t        <div class=\"detailsSelectorTopRight\"></div>\r\n\t    </div>\r\n\t    \r\n\t    <!-- Center where all the good stuff goes -->   \r\n\t    <div class=\"detailsSelectorCenter\">\r\n            <div class=\"detailsSelectorCenterLeft\"></div>\r\n\t\t    <div class=\"detailsSelectorCenterCenter\">\r\n\t\t\t\t<!-- Main Image, High level properties and Actions Button -->\r\n\t    \t\t<div class=\"detailsSelectorTopPane\" data-dojo-attach-point=\"topPane\">\r\n\t    \t\t    <!-- Main Image -->\r\n\t\t\t\t\t<div id=\"TopImage\" class=\"detailsSelectorImage\">\r\n\t\t\t\t    \t<img class=\"mainImage\" data-dojo-attach-point=\"resourceImage\"></img>\r\n\t\t\t\t  \t</div>\r\n\t\t\t\t  \t<!-- Actions Dropdown Button -->\r\n\t\t\t\t  \t<div id=\"ActionsButton\" dojoAttachPoint=\"buttonDiv\" class=\"detailsButton pad5 hide\">\r\n\t\t\t\t      \t<button id=\"actBtn\" data-dojo-type=\"dijit.form.DropDownButton\" data-dojo-attach-point=\"actionListBtn\">\r\n\t\t\t\t          \t<span>${actionLabel}</span>\t          \t\r\n\t\t\t\t      \t</button>\r\n\t\t\t\t  \t</div>\t\t\t\t  \t\r\n\t\t\t\t  \t<!-- High Level Properties -->\r\n\t\t\t\t    <div class=\"detailsSelectorLabel pad15b\" role=\"heading\" aria-level=\"1\">\r\n\t\t\t\t        <div data-dojo-attach-point=\"propertiesList\"></div>\r\n\t\t\t\t    </div>\r\n\t\t\t\t\t\t\t\t\t\t\r\n\t\t\t\t</div>\r\n\t\t\t\t<!-- Tasks Section, categories and tasks -->\r\n\t\t\t\t<div id=\"tPane\" style=\"position: relative;\" class=\"detailsSelectorTaskPane\" data-dojo-type=\"ibm.usmi.widgets.TaskPane\" data-dojo-attach-point=\"taskPane\"></div>\r\n\t\t    </div>\r\n\t\t    <div class=\"detailsSelectorCenterRight\"></div>\r\n\t    </div>\r\n\t    \r\n\t    <!-- Bottom & Rounded Corners -->\r\n\t    <div class=\"detailsSelectorBottom\">\r\n\t        <div class=\"detailsSelectorBottomLeft\"></div>\r\n\t        <div class=\"detailsSelectorBottomCenter\"></div>\r\n\t        <div class=\"detailsSelectorBottomRight\"></div>\r\n\t    </div>\t\t  \r\n\t</div>\r\n</div>"}});
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */

define(
		"ibm/usmi/widgets/DetailsSelector", [
			"dojo/_base/kernel",
			"dojo/_base/declare",
			"dojo/topic",
			"dijit/_WidgetBase",
			"dijit/_TemplatedMixin",
			"dijit/_WidgetsInTemplateMixin",
			"dojo/text!./templates/DetailsSelector.html",
			"dijit/form/Button",
			"dijit/Menu",
			"dijit/PopupMenuItem",
			"dijit/MenuItem",
			"dijit/MenuSeparator",
			"dijit/form/DropDownButton",
			"dijit/layout/BorderContainer",
			"require",
			// TWL imports
			"ibm/usmi/util/DefaultMessageHandler",
			"ibm/tivoli/tip/navwidget/dijit/NavWidgetPluggableView",
			"ibm/tivoli/tip/navwidget/dijit/NavWidget",
			"ibm/tivoli/tip/navwidget/topology/dijit/MenuProviderHelper",
			"ibm/tivoli/tip/navwidget/topology/dijit/MenuProviderHelperBase",
			"ibm/tivoli/tip/navwidget/properties/PropertyRenderer",
			"ibm/tivoli/tip/TCTTable",
			"ibm/tivoli/navmodel/Dataset",
			// NextGen imports
			"ibm/usmi/util/BaseWidget",
			"ibm/usmi/widgets/util/PropertyRenderer",
			"ibm/usmi/widgets/TaskCategory",
			"ibm/usmi/widgets/TaskLink",
			"ibm/usmi/widgets/TaskPane",
			"ibm/usmi/widgets/util/DefaultContextMenuProvider",
			"ibm/usmi/widgets/util/DefaultMenuProviderHelper",
			"ibm/usmi/widgets/util/Constants",
			"ibm/usmi/core/utils/Logger",
			"dojo/i18n!./nls/CommonWidgetsResources"
		],
		function (dojo, declare, topic, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, DetailsSelectorTemplate,
				Button, Menu, PopupMenuItem, MenuItem, MenuSeparator, DropDownButton, BorderContainer, require,
				DefaultMessageHandler, NavWidgetPluggableView, NavWidget, MenuProviderHelper, MenuProviderHelperBase,
				PropertyRenderer, TCTTable, Dataset, BaseWidget, UsmiPropertyRenderer, TaskCategory, TaskLink,
				TaskPane, DefaultContextMenuProvider, DefaultMenuProviderHelper, Constants, Logger, mri) {

			return declare(
					[
						BorderContainer,
						_WidgetBase,
						_TemplatedMixin,
						_WidgetsInTemplateMixin,
						BaseWidget,
						NavWidgetPluggableView
					],
					{

						// Template info:  Path
						templateString : DetailsSelectorTemplate,

						// context menu provider that is passed off to pluggableview
						cmProvider : null,

						// NLS string to hold Processing String
						processingLabel : null,

						// NLS string to hold resource label
						resource : "",

						// attributes that can be set in constructor, html, or url tag
						selectorHome : "",

						// Defaults
						DEFAULT_COLLECTION : "RESOURCE_DETAILS_COLLECTION",

						// Image Path
						IMAGE_PATH : "ibm/usmi/widgets/themes/selector/images/",

						// actionLabel: [public]String
						//		label of action button.
						actionLabel : "",

						///////////////////////////////////////////////////////////////////
						// private members
						///////////////////////////////////////////////////////////////////

						// the logger
						_detailsSelectorLogger : new Logger("ibm.usmi.widgets", "DetailsSelector"),

						// tells navwidget pluggable view not to try and load a widgetdef
						_usesWidgetDefinition : false,

						// item backing selector widget
						_item : null,

						_imagePath : null,

						// actions button menu
						_dropDownMenu : null,

						// array to hold all items shown in the actions menu
						_menuItems : null,

						// array to hold all submenus / categories in actions menu
						_subMenus : null,

						// array to hold all task categories in task pane
						_subTasks : null,

						// array to hold all tasks in task pane
						_taskItems : null,

						// client constructed general task category (holds uncategorized tasks and properties)
						_generalTaskCategory : null,

						// properties to show in top pane, (default column descriptors)
						_defaultProps : null,

						// Passed to Task Categories so they are keyboard accessible
						tabIndex : "0",

						// used to render the properties shown in top pane, consistent with how TWL table properties would render
						_propertyRenderer : null,

						// load up the task utils for the different types of task launch
						_taskUtil : null,

						// Used for dataset events processnig
						_eventTimeout : null,
						_initialEventTime : null,

						//resource bundle
						_resources : mri,

						// This is called by NavWidgetPluggable View in its contructor
						_createCMProvider : function () {
							// summary:
							//        Create the menu provider
							// description:
							//        Create the menu provider that we'll pass off to the pluggable views

							//Create the menu provider that we'll pass off to the pluggable views
							if (!this.cmProvider) {
								var helper = new DefaultMenuProviderHelper();
								this.cmProvider = new DefaultContextMenuProvider({
									view : this,
									getMenuItemsCallback : dojo.hitch(helper, helper.getMenuItems),
									getMenuCommandCallback : dojo.hitch(helper, helper.getMenuCommand)
								});
							}

						},

						constructor : function () {
							// summary:
							//        Constructs Details Selector object.

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "constructor");
							}

							this._propertyRenderer = new UsmiPropertyRenderer();//ibm.tivoli.tip.navwidget.properties.PropertyRenderer();      
							this._subMenus = [];
							this._menuItems = [];
							this._subTasks = [];
							this._taskItems = [];

							this.selectorHome = this.getInitArg(Constants.SELECTOR_HOME);
							this._imagePath = require.toUrl(this.IMAGE_PATH);

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "constructor");
							}
						},

						postMixInProperties : function () {
							// summary:  set nls strings
							// tags: private
							this.actionLabel = this._resources.ActionButtonLabel;
							this.processingLabel = this._resources.Processing;
							this.inherited(arguments);
						},

						postCreate : function () {
							// summary:
							//         Called after a widget's dom has been setup
							// tags:
							//        protected

							// Hide the actions button, if tasks are returned then will show
							dojo.addClass(this.buttonDiv, "hide");

							// add menu to dom element specified in template
							var dropDownArgs = {
								id : "_" + this.getUrlParm(Constants.SOURCE_TOKEN) + "_menu",
								style : Constants.CSS_DISPLAY_NONE,
								autoSize : true
							};

							this._dropDownMenu = new Menu(dropDownArgs);
							this.actionListBtn.set("dropDown", this._dropDownMenu);

							// construct the dataset, either passed in constructor or on url
							this.buildDataset();

							//Call superclass
							this.inherited(arguments);
						},

						buildDataset : function () {
							// summary:
							//        dataset that was passed in on URL or constructor, default to RESOURCE_DETAILS_COLLECTION

							// get dataset that was passed in on URL or constructor, default to RESOURCE_DETAILS_COLLECTION
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "buildDataset");
							}

							if (!this.providerID) {
								// default
								this.providerID = Constants.DEFAULT_PROVIDER;
							}

							// get dataset that was passed in on URL or constructor, default to RESOURCE_DETAILS_COLLECTION
							if (!this.selectorHome) {
								// default
								this.selectorHome = this.DEFAULT_COLLECTION;
							}

							try {
								this.dataset = new Dataset({
									baseUrl : Constants.BASE_REST_URL,
									provider : this.providerID,
									datasource : "",
									dataset : this.selectorHome,
									parameters : {
										sourceToken : this.sourceToken
									},
									defaultProperties : [ Constants.PROPS_ALL
									]
								});
							} catch (err) {
								//There was a problem creating the dataset
								var msgHandler = new DefaultMessageHandler({});
								msgHandler.displayException(err);
								return;
							}

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "buildDataset");
							}
						},

						destroy : function () {
							// summary:
							//        Clean up any objects the details selctor is hanging onto
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "destroy");
							}

							if (this.dataset) {
								this.dataset.removeEventListener(this);
								this.dataset.destroy();
								this.dataset = null;
							}

							this.inherited(arguments);

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "destroy");
							}
						},

						_setDatasetLoadData : function (/*ibm.tivoli.navmodel.Dataset*/dataset) {
							// summary:
							//        Called by NavWidgetPluggableView when the dataset is ready for rendering
							// description:
							//        Called by NavWidgetPluggableView when the dataset is ready for rendering.
							//        Kicks off the rendering and retrieval of all data to be shown in details selector
							// tags:
							//        private

							// call back functions to call once getItems completes
							var onItemsCompleteFunctions = {
								onComplete : dojo.hitch(this, this._onItemsRetrieval),
								onError : dojo.hitch(this, this._onItemsRetrievalFailed),
								properties : [ Constants.PROPS_DEFAULT
								]
							};

							// attach event listener so we get notified when the dataset updates
							dataset.addEventListener(this, dojo.hitch(this, this._eventHandler));

							// get items from dataset
							dataset.getItems(onItemsCompleteFunctions);
						},

						///////////////////////////////////////////////////////////////////////////////////////////
						// Successful on Complete Methods
						///////////////////////////////////////////////////////////////////////////////////////////
						_onItemsRetrieval : function (/*ibm.tivoli.navmodel.Item[]*/items) {
							// summary:
							//        Called when the items are returned from dataset
							// tags:
							//         callback
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_onItemsRetrieval");
								this._detailsSelectorLogger.finest("DETAILS SELECTOR- items retrieval RETURNED count: "
										+ items.length, "_onItemsRetrieval");
							}

							// check to see if items were returned from the dataset
							if (items) {
								this._item = items[0];
							}

							// if there is an item, use it
							if (this._item) {
								// set the selection for the context menu
								this.selection.setSelectedObjects([ this._item ], null, null);
								
								// set the resoure label
								this.resource = this._item._item.label;
								// Populate the properties to be shown in top pane, uses default column descriptors
								this._getTopPaneProperties();

							} // else use the collection to query further information
							else {
								// set the resource label to dataset label
								this.resource = this.dataset.getLabel();

								// TODO query dataset parms for icon, title
								this._getTopPaneContentFromCollection();
							}

							// Populate the actions button
							this._setActionsMenu();

							// Populate the task Pane
							this._fetchGlobalTasks();

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_onItemsRetrieval");
							}
						},

						_onPropertiesDataRetrieved : function (/*ibm.tivoli.navmodel.Property[]*/properties, args) {
							// summary:
							//        Called when the properties are returned from item.   The properties returned
							//        are from the default columns
							// tags:
							//         callback
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_onPropertiesDataRetrieved");
								this._detailsSelectorLogger.finest("DETAILS SELECTOR- item: " + this._item.getLabel(),
										"_onPropertiesDataRetrieved");
							}

							var i, propDiv, prop;
							for (i = 0; i < properties.length; i += 1) {
								prop = properties[i];
								if (this._detailsSelectorLogger.isFinest()) {
									this._detailsSelectorLogger.finest("DETAILS SELECTOR- PropId: " + prop.getId()
											+ " displayValue: " + prop.getDisplayValue(), "_onPropertiesDataRetrieved");
								}

								propDiv = this._propertyRenderer.getRenderedPropertyNode(this._item, prop, this);
								propDiv.id = prop.getId();
								dojo.place(propDiv, this.propertiesList);
							}

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_onPropertiesDataRetrieved");
							}
						},

						///////////////////////////////////////////////////////////////////////////////////////////
						// Action Button Methods                                                                 //
						///////////////////////////////////////////////////////////////////////////////////////////
						_setActionsMenu : function () {
							// summary:
							//        If the menu is currently empty (i.e., asked to load), return the placeholder
							//        menu item and tell the asynch provider to get the menu items asynchronously,
							//        otherwise, remove the placeholder and ask the provider for the menu items
							//        now that the asynch request has returned the menu items.

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_setActionsMenu");
							}
							var items = null, childItems = this._dropDownMenu.getChildren();
							if (childItems.length === 0) {
								items = [ {
									"label" : this.processingLabel,
									"iconClass" : "tipMenuIcon loadingIcon",
									"actionID" : this.loadingMenuItemID,
									"launchType" : "NOOP"
								}
								];
								this.cmProvider.getMenuItemsAsynch(this, dojo.hitch(this, this._menuItemsLoaded));
							} else {
								this._removeLoadingItem();
								items = this.cmProvider.getMenuItems(this);
							}
							this._addItemsToMenu(this._dropDownMenu, items);

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_setActionsMenu");
							}
						},

						_menuItemsLoaded : function (/*Boolean*/success) {
							// summary:
							//        all to Context Menu Provider returned, populate actions menu
							// tags:
							//         callback

							if (success) {
								// repopulate menu
								this._setActionsMenu();
								// the menu is already marked as started and open, so loadDropDown skips these
								// steps, so do them again here
								dojo.forEach(this._dropDownMenu.getChildren(), function (child) {
									child.startup();
								});
								this._dropDownMenu.startupKeyNavChildren();
								// The dijit.Menu still remembers the "Loading..." item as focused so reset
								this._dropDownMenu.focusedChild = null;
								this._dropDownMenu.focus();
							} else {
								// There were either no tasks returned or an error occurred, so dismiss the dropDown
								//this.closeDropDown(true);
								this._menuItems = [];
								this._subMenus = [];
								this._subTasks = [];
								this._taskItems = [];
							}
						},

						_addItemsToMenu : function (/*dijit/Menu*/parent, /*ibm.tivoli.navmodel.Item[]*/items) {
							// summary:
							//        Recursive function to construct menu from array of items
							//        (adapted from ibm.tivoli.tip.dijit.ContextMenuAdapter)
							var params, subMenuIndex, menuItemIndex, i, menuItemOnClickMethod = function () {
								this.adapter._onMenuItemClick(this);
							};

							// if at least one action is returned, lets show the actions button
							if (items.length > 0) {
								// remove hide it
								dojo.removeClass(this.buttonDiv, "hide");
								// show the actions button
								dojo.addClass(this.buttonDiv, "show");
							} else {
								// add show it
								dojo.removeClass(this.buttonDiv, "show");
								// no action, remove button
								dojo.addClass(this.buttonDiv, "hide");
							}

							for (i = 0; i < items.length; i += 1) {
								if (items[i].submenu_items) {
									subMenuIndex = this._subMenus.length;
									this._subMenus[subMenuIndex] = new Menu();

									params = {
										popup : this._subMenus[subMenuIndex]
									};

									dojo.mixin(params, items[i]);
									parent.addChild(new PopupMenuItem(params));

									this._addItemsToMenu(this._subMenus[subMenuIndex], items[i].submenu_items);
								} else {
									// The following if clause added for backward compatibility
									// with the previous version of TIPContextMenu
									if (items[i].id && items[i].id.toLowerCase() === "separator") {
										// Previous TIPContextMenu users indicated separators via the id
										items[i].actionID = "_separator_";
									} else if (items[i].id && !items[i].actionID) {
										// Previous TIPContextMenu users didn't use actionID
										items[i].actionID = items[i].id;
									}

									if (items[i].actionID === "_separator_") {
										menuItemIndex = this._menuItems.length;
										this._menuItems[menuItemIndex] = new MenuSeparator();
										parent.addChild(this._menuItems[menuItemIndex]);
									} else {
										params = {
											adapter : this,
											onClick : menuItemOnClickMethod
										};
										dojo.mixin(params, items[i]);
										menuItemIndex = this._menuItems.length;
										this._menuItems[menuItemIndex] = new MenuItem(params);
										parent.addChild(this._menuItems[menuItemIndex]);
									}
								}
							}
						},

						_onMenuItemClick : function (/*dijit/MenuItem*/menuItem) {
							// summary:
							//        Invoke getMenuCommand on context menu provider when action is selected.
							// tags:
							//         callback
							this.cmProvider.getMenuCommand(menuItem.actionID, this, menuItem);
						},

						_removeLoadingItem : function () {
							// summary:
							//        Remove loading entry from context menu
							// description:
							//        Remove loading entry from context menu
							var childItems = this._dropDownMenu.getChildren(), loadingItem = childItems[0];
							this._dropDownMenu.removeChild(loadingItem);
							loadingItem.destroy();
						},

						///////////////////////////////////////////////////////////////////////////////////////////
						// TopPane Properties Methods                                                             //
						///////////////////////////////////////////////////////////////////////////////////////////
						_getTopPaneProperties : function () {
							// summary:
							//        Get the item style for icon, and the ids for the properties to be shown in the top pane
							// tags:
							//     private
							// load main image if one exists

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_getTopPaneProperties");
							}

							var style = this._item.getItemStyle({
								mergeWidgetDef : true,
								widgetDef : this.getNearestPluggableViewWidgetDefinition()
							}), path, columnIds = [], columnArgs, gotColumnsError, gotColumns, col, currcol, colData;

							if (style) {
								// ie shows a broken image, so need to remove widget from dom
								dojo.attr(this.resourceImage, "style", "display:inline");
								//create the image node
								path = this._cleanUpImagePath(style.getLargeImage());
								dojo.attr(this.resourceImage, "src", path);
								dojo.attr(this.resourceImage, "height", "48px;"); // TODO style.getAttribute("largeImageHeight"));
								dojo.attr(this.resourceImage, "width", "48px;");//TODO style.getAttribute("largeImageWidth"));

								if (style.getLabel()) {
									dojo.attr(this.resourceImage, "alt", style.getLabel());
								}

							} else {
								// ie shows a broken image, so need to remove widget from dom
								dojo.attr(this.resourceImage, "style", "display:none");
							}

							//Callback to get columns from dataset
							gotColumns = function (cols) {
								//Process the list of columns
								var columns = [], viewColumns = [], i;
								if (cols) {
									for (i = 0; i < cols.length; i += 1) {
										col = cols[i];
										// If the column is a "linkType" ignore it
										currcol = col.getValueType();
										if (currcol !== "linkType" && currcol !== "relationshipType") {
											colData = {};
											colData.id = col.getId();
											colData.label = {};
											colData.label.value = col.getLabel();
											colData.type = col.getValueType();
											colData.unsupportedOperators = col.getUnsupportedFilterOperators();

											// get column IDs to pass to store
											columnIds.push(colData.id);
											columns.push(colData);
											viewColumns.push(col);
										}
									}

									// store default properties in global var
									this._defaultProps = columnIds;

									// get the properties for the default columns to show in top pane
									this._fetchPropertiesForDefaultCols();
								}
							};

							gotColumnsError = function (error, request) {
								//Give the user some feedback
								if (this._detailsSelectorLogger.isFinest()) {
									this._detailsSelectorLogger.error("DETAILS SELECTOR- getcolumns failed.  " + error,
											"gotColumnsError");
								}
								var msgHandler = new DefaultMessageHandler({});
								msgHandler.displayException(error);
							};

							columnArgs = {
								type : Constants.ITEM,
								properties : [ Constants.PROPS_DEFAULT
								],
								onComplete : dojo.hitch(this, gotColumns),
								onError : dojo.hitch(this, gotColumnsError)
							};
							this.dataset.getColumns(columnArgs);

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_getTopPaneProperties");
							}
						},

						_getTopPaneContentFromCollection : function () {
							// summary:
							//        Get the item style for icon, and the ids for the properties to be shown in the top pane
							// tags:
							//     private
							// load main image if one exists

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_getTopPaneProperties");
							}

							var path, label, propDiv;
							path = this.dataset.getAttribute("selectorIcon");
							label = this.dataset.getAttribute("selectorLabel");

							// if path is specified as collection attribute, get it and show
							if (path) {
								dojo.attr(this.resourceImage, "style", "display:inline");
								dojo.attr(this.resourceImage, "src", path);
								dojo.attr(this.resourceImage, "height", "48px;");
								dojo.attr(this.resourceImage, "width", "48px;");
								dojo.attr(this.resourceImage, "alt", label);
							} else {
								if (this._detailsSelectorLogger.isFinest()) {
									this._detailsSelectorLogger.exiting("no selectorIcon specified on collection",
											"_getTopPaneProperties");
								}
								
								// ie shows a broken image, so need to remove widget from dom
								dojo.attr(this.resourceImage, "style", "display:none");
							}

							// if label was specified as a collection attribute, get it and show
							if (label) {
								// get the properties for the default columns to show in top pane
								propDiv = dojo.doc.createElement("div");
								dojo.place(dojo.doc.createTextNode(label), propDiv, "last");

								propDiv.id = "DisplayName";
								dojo.place(propDiv, this.propertiesList);
							} else {
								if (this._detailsSelectorLogger.isFinest()) {
									this._detailsSelectorLogger.exiting("no selectorLabel specified on collection",
											"_getTopPaneProperties");
								}
							}

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_getTopPaneProperties");
							}
						},

						_fetchPropertiesForDefaultCols : function () {
							// summary:
							//        Get properties from the item
							// tags:
							//     private
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.finest("DETAILS SELECTOR- item.id: " + this._item.getId()
										+ " , type: " + this._item.getType() + " , label: " + this._item.getLabel(),
										"_fetchPropertiesForDefaultCols");
							}

							var itemPropArgs = {
								onComplete : dojo.hitch(this, this._onPropertiesDataRetrieved),
								onError : dojo.hitch(this, this._onPropertiesDataRetrievedFailed),
								properties : this._defaultProps
							};

							this._item.getProperties(itemPropArgs);
						},

						handleLinkClickAction : function (viewId, objectId, propId, objectType) {
							// summary:
							//         this method is called by the base TWL PropertyRender when a property
							//         link is clicked on in the toppane section
							// tags:
							//     protected
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "handleLinkClickAction");
							}

							var object, property;

							//ask the dataset for the correct object based on the objects id.
							//since we have already rendered these items, the value should be
							//cached and should be quick.
							switch (objectType) {
							case "ibm.tivoli.navmodel.Item":
								object = this.dataset.getItem({
									itemId : objectId
								});
								break;
							case "ibm.tivoli.navmodel.Link":
								object = this.dataset.getLink({
									itemId : objectId
								});
								break;
							case "ibm.tivoli.navmodel.Relationship":
								object = this.dataset.getRelationship({
									itemId : objectId
								});
								break;
							default:
								if (this._detailsSelectorLogger.isFinest()) {
									this._detailsSelectorLogger.finest("unrecognized object type!",
											"handleLinkClickAction");
								}

							}

							if (object) {
								property = object.getProperty(propId);
							}

							if (object && property) {
								this._propertyRenderer._handleLinkClick(property, this);
							}

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "handleLinkClickAction");
							}
						},
						///////////////////////////////////////////////////////////////////////////////////////////
						// TaskPane Methods                                                                         //
						///////////////////////////////////////////////////////////////////////////////////////////
						_fetchGlobalTasks : function () {
							// summary:
							//         Get the tasks from the collection to show as drawer tasks
							// tags:
							//     private
							this.dataset.getTasks({
								onComplete : dojo.hitch(this, this._onGlobalTasksComplete),
								onError : dojo.hitch(this, this._onTasksError),
								taskCategory : "toolbar"
							});
						},

						_onGlobalTasksComplete : function (/*ibm.tivoli.navmodel.Task[]*/tasks) {
							// summary:
							//         Process tasks returned into Task Categories and Task Links
							// tags:
							//     callback
							//Want to loop through tasks looking for
							if (tasks) {
								// process tasks and add to appropriate task categories
								this._populateTaskPane(this.taskPane, tasks);

								// after all tasks are added to taskpane, refresh to setup arrrays
								this.taskPane.refresh();
							}
						},

						_populateTaskPane : function (parent, /*ibm.tivoli.navmodel.Task[]*/tasks) {
							// summary:
							//        Recursive function to construct menu from array of tasks
							//        (adapted from ibm.tivoli.tip.dijit.ContextMenuAdapter)

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_populateTaskPane");
							}

							var cascadeIndex, taskIndex, i, tc, tl, firstTaskLink;

							for (i = 0; i < tasks.length; i += 1) {
								if (this._detailsSelectorLogger.isFinest()) {
									this._detailsSelectorLogger.finest("DETAILS SELECTOR Global Tasks- taskId: "
											+ tasks[i].getId() + " displayValue: " + tasks[i].getLabel()
											+ " LaunchUrl: " + tasks[i].getLaunchUrl(), "_populateTaskPane");
								}

								// check to see if task has child tasks (its a task category)
								if (tasks[i].isCascade()) {
									// current task categories count, used as index in array
									cascadeIndex = this._subTasks.length;

									// create a TaskCategory object
									tc = new TaskCategory({
										label : tasks[i].getLabel(),
										task : tasks[i]
									});

									// add TaskCategory to array of TaskCategories
									this._subTasks[cascadeIndex] = tc;

									// want to add sub categories up to main page level
									if (parent instanceof TaskCategory
											&& this._subTasks[cascadeIndex] instanceof TaskCategory) {
										this.taskPane.addCategory(this._subTasks[cascadeIndex]);
									} else if (parent instanceof TaskCategory) {
										// add link to category
										parent.addLink(this._subTasks[cascadeIndex]);
									} else if (parent instanceof TaskPane) {
										// add category to taskPane
										parent.addCategory(this._subTasks[cascadeIndex]);
									}

									// recursive call to process categories children tasks
									this._populateTaskPane(this._subTasks[cascadeIndex], tasks[i].getChildTasks());
								} else {
									// ignore separators if they exist in task returned from navmodel
									if (!tasks[i].isSeparator()) {
										// current task count, used as index
										taskIndex = this._taskItems.length;

										// create the task link
										tl = this._createTaskLink(tasks[i]);

										this._taskItems[taskIndex] = tl;

										// add link to category
										if (parent instanceof TaskCategory) {
											parent.addLink(this._taskItems[taskIndex]);
										} else if (parent instanceof TaskPane) {
											if (this._taskItems[taskIndex] instanceof TaskLink) {
												// tasks that isnt categorized, put in general task heading.
												if (this._detailsSelectorLogger.isWarn()) {
													this._detailsSelectorLogger.warn(
															"Task is not categorized, not showing: "
																	+ this._taskItems[taskIndex].link,
															"_populateTaskPane");
												}
											} else {
												// add category to taskPane
												parent.addCategory(this._taskItems[taskIndex]);
											}
										}
									}
								}
							}

							// if not bookmark, or hash task selection set, default to first in list.
							if (!this.getUrlHashParm(Constants.HASH_TASK_SELECTION)) {
								// check to make sure we have tasks
								if (this._taskItems && this._taskItems.length > 0) {
									firstTaskLink = this._taskItems[0];
									firstTaskLink.select(true);
									this._handleDefaultTaskSelection(firstTaskLink);
								}
							}
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_populateTaskPane");
							}
						},

						///////////////////////////////////////////////////////////////////////////////////////////
						// Utililty Methods                                                                         //
						///////////////////////////////////////////////////////////////////////////////////////////
						_createTaskLink : function (/*ibm.tivoli.navmodel.Task*/task) {
							// summary:
							//        Utility method to query task and construct appropriate task link
							// tags:
							//     private
							var type = "WIDGET", relationship = "", tLink, icon, iconPath, taskJavascript, taskLaunchObj, taskId, path, pathKey, dijitId, linkId;
							// setup task icon informaton, check if provide, if not default
							if (task.getImage()) {
								icon = task.getImage();
								iconPath = "";
							} else {
								// default to task icon provided by details selector, and set path.
								icon = "task_16.gif";
								iconPath = this._imagePath;
							}

							taskJavascript = task.getLaunchJavascript();
							// Task's launch JavaScript must be valid json
							taskLaunchObj = dojo.fromJson(taskJavascript);

							// TaskLaunchObj expectation
							//{"launchType:'Widget',
							//"dijit:'discovery/Discover',
							//"path:'/com.ibm.usmi.console.samples/js/usmi-console-samples'}

							// get widget information to launch.
							if (taskLaunchObj) {
								if (taskLaunchObj.launchType === 'Widget') {
									// set task type
									type = "WIDGET";
									path = taskLaunchObj.path;
									pathKey = taskLaunchObj.pathKey;
									dijitId = taskLaunchObj.dijit;
									taskId = dijitId;
									linkId = taskId;
								} // if related resource, we need to gather some more information
								// to pass on the publish
								else if (taskLaunchObj.launchType === 'RelatedResource') {
									// set task type
									type = "RELATED_RESOURCE";
									path = taskLaunchObj.path;
									pathKey = taskLaunchObj.pathKey;
									dijitId = taskLaunchObj.dijit;
									taskId = dijitId;
									linkId = taskLaunchObj.relationship;
									relationship = taskLaunchObj.relationship;
								} else if (taskLaunchObj.launchType === 'URL') {
									// set task type
									type = "URL";
									taskId = taskLaunchObj.urlToLaunch;
									linkId = taskId;
								}
							}

							// default to taskId if wasnt specified
							if (!taskId) {
								taskId = task.getId();
								linkId = taskId;
							}

							// create a TaskLink
							tLink = new TaskLink({
								taskId : linkId,
								type : type,
								link : this.updateUrlHash(Constants.HASH_TASK_SELECTION, taskId),
								resourceLabel : this.resource,
								label : task.getLabel(),
								path : path,
								pathKey : pathKey,
								criteriaString : relationship,
								icon : icon,
								iconPath : iconPath
							});

							return tLink;
						},

						_handleDefaultTaskSelection : function (/*ibm.usmi.widgets.TaskLink*/dLink) {
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.entering("", "_handleDefaultTaskSelection");
							}
							var obj, launchParms, targetInfo;
							// if task type is widget, hash the link
							if (dLink.type.toUpperCase() === Constants.TASK_TYPE_WIDGET) {
								if (this._detailsSelectorLogger.isFiner()) {
									this._detailsSelectorLogger.finer(dLink.link, "_handleDefaultTaskSelection");
								}

								obj = dojo.queryToObject(dLink.link);

								// add the taskPath and taskPathKey if were set
								if (dLink.path && dLink.pathKey) {
									obj.taskPath = dLink.path;
									obj.taskPathKey = dLink.pathKey;
								}

								dojo.hash(dojo.objectToQuery(obj), true);
								targetInfo = {
									sourceToken : this.sourceToken,
									taskSelection : obj.taskSelection,
									taskPath : dLink.path,
									taskPathKey : dLink.pathKey
								};
								// publish the label, so workarea can render title
								dojo.publish(ibm.usmi.widgets.util.Constants.TOPIC_TASK_TITLE_CHANGE, {
									resource : dLink.getResourceLabel(),
									view : dLink.getLabel(),
									loading : false
								});
								topic.publish(Constants.TOPIC_RETARGET_INFO, targetInfo); //tell WorkArea the new info

							} else if (dLink.type.toUpperCase() === Constants.TASK_TYPE_RELATED_RESOURCE) {
								if (this._detailsSelectorLogger.isFiner()) {
									this._detailsSelectorLogger.finer(dLink, "_handleDefaultTaskSelection");
								}
								obj = dojo.queryToObject(dLink.link);
								obj.relationship = dLink.criteriaString;
								dojo.hash(dojo.objectToQuery(obj), true); // set
								targetInfo = {
									relationship : dLink.criteriaString,
									sourceToken : this.sourceToken,
									taskSelection : obj.taskSelection
								};
								topic.publish(Constants.TOPIC_RETARGET_INFO, targetInfo); //tell RRTable the new info

							}
							// if is URL, publish the URL
							else if (dLink.type.toUpperCase() === Constants.TASK_TYPE_URL) {
								launchParms = {
									topic : Constants.TOPIC_DEFAULT_URL_LAUNCH,
									launchType : Constants.TASK_TYPE_URL,
									urlToLaunch : dLink.link
								};

								topic.publish(Constants.TOPIC_DEFAULT_URL_LAUNCH, launchParms);
							}

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "_handleDefaultTaskSelection");
							}
						},

						// TODO this is a place holder for handling dataset events...
						// when an event is fired on a dataset we're listening to, refresh the view.
						// Note: many events may come through really quickly, so after 3 seconds of no more events, the refresh will fire.
						_eventHandler : function (listenerObject, event) {
							// summary:
							//         Handle dataset events
							// tags:
							//     callback
							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.finest("DETAILS SELECTOR- event datasetId="
										+ event.getDataset().getId() + " event=" + event.getType() + " eventId="
										+ event.getId(), "_eventHandler");
							}

							var itemID, property;
							switch (event.getType()) {
							case "itemPropertiesChanged":
								// This is the event that is fired when a memeber is added / removed
								itemID = event.getItems()[0].getId();

								// get count of property, set new value		                	
								property = event.getProperties()[0][0];
								if (property.getId() === "DisplayName") {
									this._updateProperty(property, listenerObject);
								} else if (property.getId() === "STATUS") {
									this._updateProperty(property, listenerObject);
								}

								break;
							default:
								break;
							}

							if (this._detailsSelectorLogger.isFinest()) {
								this._detailsSelectorLogger.exiting("", "eventHandler");
							}

							//        clearTimeout(this._eventTimeout); // reset the timeout window.
							//        if ( this._initialEventTime == null ) {
							//            this._initialEventTime = new Date();
							//            this._eventTimeout = setTimeout(dojo.hitch(this, this._refreshView, "evented"), 5000);
							//        // FORCE a refresh if blocked for 30 seconds or more by constant incoming events.
							//        } else if ( this._initialEventTime.getTime() - (new Date()).getTime() > 30000 ){
							//            this._refreshView("evented");
							//        } else
							//            this._eventTimeout = setTimeout(dojo.hitch(this, this._refreshView, "evented"), 5000);
						},

						_updateProperty : function (changedProp, obj) {
							var propDiv = this._propertyRenderer.getRenderedPropertyNode(obj._item, changedProp, obj);
							propDiv.id = changedProp.getId();
							dojo.place(propDiv, propDiv.id, "replace");
						},

						///////////////////////////////////////////////////////////////////////////////////////////
						// Failure Methods                                                                         //
						///////////////////////////////////////////////////////////////////////////////////////////
						_onItemsRetrievalFailed : function (error, request) {
							if (this._detailsSelectorLogger.isError()) {
								this._detailsSelectorLogger.error("The items request to the datastore failed.  "
										+ error, "_onItemsRetrievalFailed");
								this._detailsSelectorLogger.error("request: " + request, "_onItemsRetrievalFailed");
							}

							var msgHandler = new DefaultMessageHandler({});
							msgHandler.displayException(error);
						},

						_onPropertiesDataRetrievedFailed : function (error, request) {
							if (this._detailsSelectorLogger.isError()) {
								this._detailsSelectorLogger.error("The properties request to the datastore failed.  "
										+ error, "_onPropertiesDataRetrievedFailed");
								this._detailsSelectorLogger.error("request: " + request,
										"_onPropertiesDataRetrievedFailed");
							}

							var msgHandler = new DefaultMessageHandler({});
							msgHandler.displayException(error);
						},

						// TYPE: ERROR HANDLING
						_onTasksError : function (error, request) {
							if (this._detailsSelectorLogger.isError()) {
								this._detailsSelectorLogger.error("The tasks request to the datastore failed.  "
										+ error, "_onTasksError");
								this._detailsSelectorLogger.error("request: " + request, "_onTasksError");
							}

							var msgHandler = new DefaultMessageHandler({});
							msgHandler.displayException(error);
						},

						/////////////////////////////////////////////////////////////////////////////////////
						// Gets for private vars
						////////////////////////////////////////////////////////////////////////////////////
						getDataSet : function () {
							return this.dataset;
						}
					});
		});
