require({cache:{
'url:idx/widget/templates/Banner.html':"<div class=\"idxBanner\"><!--\r\n * IBM Confidential\r\n * OCO Source Materials\r\n * (C) Copyright IBM Corp. 2010, 2011\r\n * The source code for this program is not published \r\n * or otherwise divested of its trade secrets, irrespective\r\n * of what has been deposited with the U.S. Copyright Office.\r\n-->\r\n\t<div class=\"idxBannerInnerContainer\">\r\n\t\t<div class=\"idxBannerLogoArea\">\r\n\t\t\t<div class=\"idxBannerLogo\"></div>\r\n\t\t</div>\r\n\t\t<div dojoAttachPoint=\"_trailerNode\" class=\"idxBannerTrailer\">\r\n\t\t\t<div dojoAttachPoint=\"actionsButton\" \r\n\t\t\t\t\tdojoType=\"dijit.form.DropDownButton\"\r\n\t\t\t\t\ticonClass=\"idxBannerActionButtonIcon\">\r\n\t\t\t\t<span>${usernameLabel}</span>\r\n\t\t\t\t<div dojoType=\"dijit.Menu\" dojoAttachPoint=\"actionsMenu\" style=\"display: none;\">\r\n\t\t\t\t</div>\r\n\t\t\t</div>\r\n\t\t\t<div dojoAttachPoint=\"helpButton\" \r\n\t\t\t\t\tdojoType=\"dijit.form.Button\"\r\n\t\t\t\t\tlabel=\"${helpLabel}\"\r\n\t\t\t\t\tshowLabel=\"false\"\r\n\t\t\t\t\ticonClass=\"idxBannerHelpButtonIcon\">\r\n\t\t\t</div>\r\n\t\t</div>\r\n\t\t<div dojoAttachPoint=\"containerNode\" class=\"idxBannerContainer\"></div>\r\n\t</div>\r\n\t<div class=\"idxBannerBottomBar\"></div>\r\n</div>\r\n"}});
(function(){

var factory = function(dojo_declare, dojo_array, dijit_Widget, dijit_Container, dijit_Templated, dijit_form_DropDownButton, dijit_form_Button, dijit_Menu, dijit_MenuItem, templateString){

/**
 * @name idx.widget.Banner
 * @class Application banner with built-in and custom links.
 * @augments dijit._Widget
 * @augments dijit._Container
 * @augments dijit._Templated
 */
return dojo_declare("idx.widget.Banner", [ dijit_Widget, dijit_Container, dijit_Templated ],
/** @lends idx.widget.Banner# */
{

	templateString: templateString,

	widgetsInTemplate: true,

	/**
	 * Label string for username.
	 * 
	 * @type String
	 * @default ""
	 */
	usernameLabel: "",

	/**
	 * Username.
	 * 
	 * @type String
	 * @default ""
	 */
	username: "",

	/**
	 * Label string for log out link.
	 * 
	 * @type String
	 * @default "Log Out"
	 */
	logoutLabel: "Log Out",

	/**
	 * Function to call when the user clicks the log out menu item.
	 * 
	 * @type function
	 * @default null
	 */
	logoutFunc: null,

	/**
	 * Label string for help link.
	 * 
	 * @type String
	 * @default "Help"
	 */
	helpLabel: "Help",

	/**
	 * Function to call when the user clicks the help button.
	 * 
	 * @type function
	 * @default null
	 */
	helpFunc: null,

	/**
	 * Label string for about link.
	 * 
	 * @type String
	 * @default "About"
	 */
	aboutLabel: "About",

	/**
	 * Function to call when the user clicks the about menu item.
	 * 
	 * @type function
	 * @default null
	 */
	aboutFunc: null,

	/**
	 * Creates a trailer section.
	 */
	buildRendering: function() {
		this.inherited(arguments);
		this._createMenu();
	},

	/**
	 * Creates a trailer section.
	 * 
	 * @private
	 */
	_createMenu: function() {
		if (this.username) {
			var self = this;

			if (this.logoutFunc) {
				var actionMenuItem = new dijit_MenuItem({
					label: this.logoutLabel,
					onClick: this.logoutFunc
				});
				this.actionsMenu.addChild(actionMenuItem);
			}

			if (this.aboutFunc) {
				var actionMenuItem = new dijit_MenuItem({
					label: this.aboutLabel,
					onClick: this.aboutFunc
				});
				this.actionsMenu.addChild(actionMenuItem);
			}

			if (this.helpFunc) {
				this.helpButton.onClick = this.helpFunc;
			}
		}
	},

	/**
	 * Adds items to the action menu drop-down.
	 * 
	 * @param actionMenusItems 
	 *				An array of dijit.MenuItem objects to add to the action menu drop-down.
	 */
	addMenuItems: function(actionMenusItems) {
		if (actionMenusItems && actionMenusItems.length > 0) {
			var self = this;

			dojo_array.forEach(actionMenusItems, function(actionMenuItem) {
				self.actionsMenu.addChild(actionMenuItem);
			});
		}
	}
});

}; // end of factory

var version = (window["dojo"] && dojo.version);
if(version && version.major == 1 && version.minor == 6){
	dojo.provide("idx.widget.Banner");
	dojo.require("dijit._Widget");
	dojo.require("dijit._Container");
	dojo.require("dijit._Templated");
	dojo.require("dijit.form.DropDownButton");
	dojo.require("dijit.form.Button");
	dojo.require("dijit.Menu");
	dojo.require("dijit.MenuItem");
	var templateString = dojo.cache("idx.widget", "templates/Banner.html", "<div class=\"idxBanner\"><!--\r\n * IBM Confidential\r\n * OCO Source Materials\r\n * (C) Copyright IBM Corp. 2010, 2011\r\n * The source code for this program is not published \r\n * or otherwise divested of its trade secrets, irrespective\r\n * of what has been deposited with the U.S. Copyright Office.\r\n-->\r\n\t<div class=\"idxBannerInnerContainer\">\r\n\t\t<div class=\"idxBannerLogoArea\">\r\n\t\t\t<div class=\"idxBannerLogo\"></div>\r\n\t\t</div>\r\n\t\t<div dojoAttachPoint=\"_trailerNode\" class=\"idxBannerTrailer\">\r\n\t\t\t<div dojoAttachPoint=\"actionsButton\" \r\n\t\t\t\t\tdojoType=\"dijit.form.DropDownButton\"\r\n\t\t\t\t\ticonClass=\"idxBannerActionButtonIcon\">\r\n\t\t\t\t<span>${usernameLabel}</span>\r\n\t\t\t\t<div dojoType=\"dijit.Menu\" dojoAttachPoint=\"actionsMenu\" style=\"display: none;\">\r\n\t\t\t\t</div>\r\n\t\t\t</div>\r\n\t\t\t<div dojoAttachPoint=\"helpButton\" \r\n\t\t\t\t\tdojoType=\"dijit.form.Button\"\r\n\t\t\t\t\tlabel=\"${helpLabel}\"\r\n\t\t\t\t\tshowLabel=\"false\"\r\n\t\t\t\t\ticonClass=\"idxBannerHelpButtonIcon\">\r\n\t\t\t</div>\r\n\t\t</div>\r\n\t\t<div dojoAttachPoint=\"containerNode\" class=\"idxBannerContainer\"></div>\r\n\t</div>\r\n\t<div class=\"idxBannerBottomBar\"></div>\r\n</div>\r\n");
	factory(dojo.declare, dojo, dijit._Widget, dijit._Container, dijit._Templated, dijit.form.DropDownButton, dijit.form.Button, dijit.Menu, dijit.MenuItem, templateString);
}else{
	define("idx/widget/Banner", [
		"dojo/_base/declare",
		"dojo/_base/array",
		"dijit/_Widget",
		"dijit/_Container",
		"dijit/_Templated",
		"dijit/form/DropDownButton",
		"dijit/form/Button",
		"dijit/Menu",
		"dijit/MenuItem",
		"dojo/text!./templates/Banner.html"
	], factory);
}

})();
